clear all
set more off

**********************************************************
****** THIS CODE REPLICATES THE RESULTS IN TABLE 6  ******
**********************************************************


use dataset, clear

*************** Summary statistics from Table 3 **********
su instal - roofwage 
*************** Summary statistics from Table 4 **********
su instal - roofwage if nonz


*********************** linear 2SLS  *********************
xtivreg2 instal solarize pop income med_age col_ba grad_prof r d /*
*/ y09 y10 y11 y12 y13 y14 (costperwatt = roofwage incent), fe cluster(town)

egen ybar=mean(instal)
egen xbar=mean(costperwatt)
nlcom (etha:_b[costperwatt]*xbar/ybar)
drop ybar 


*********************** Poisson CF  **********************

qui areg costperwatt incent roofwage solarize pop income med_age  /*
*/ col_ba grad_prof r d i.year, absorb(id) 
predict res, resid	

xtset id
bootstrap, cluster(town) idcluster(newid) group(id) reps(100) seed(10001): /*
*/ xtpoisson instal costperwatt res solarize pop income med_age /*
*/ col_ba grad_prof r d i.year, fe 

nlcom (etha:_b[costperwatt]*xbar)

************************* logit CF ************************
bootstrap, cluster(town) idcluster(newid) group(id) reps(100) seed(10001): /*
*/ xtlogit nonz costperwatt res solarize pop income med_age col_ba grad_prof /*
*/ r d i.year, i(id) fe 

egen ybar=mean(nonz)
nlcom (etha:_b[costperwatt]*xbar*(1-ybar))
drop ybar

********************** tr Poisson GMM *********************
bysort id: egen sm = sum(nonz)
keep if nonz

sort id year

gmm tpoisson_gmm, reg(costperwatt solarize pop income med_age col_ba /*
*/ grad_prof r d y09 y10 y11 y12 y13 y14) /*
*/ equations(instal) parameters(costperwatt solarize pop income med_age /*
*/ col_ba grad_prof r d y09 y10 y11 y12 y13 y14) /*
*/ instruments(incent roofwage solarize pop income med_age col_ba grad_prof /*
*/ r d y09 y10 y11 y12 y13 y14, noconstant) vce(cluster town)

egen ybar = mean(instal) 
* we solve separately the exression lambda/(1-exp(-lambda)=ybar
* we find lambda=1.0055
nlcom (etha:_b[/costperwatt]*(1-ybar+1.0055))


