program tpoisson_gmm
version 12.0
syntax varlist [if], at(name) reg(varlist)

*****************************************************************************************************
*                         FE TRUNCATED POISSON FOR T<9 PERIODS									    *
*  Coded by: Tsvetan G. Tsvetanov; Yale University, School of Forestry and Environmental Studies	*
*									DATE: 3/10/2014												    *
*****************************************************************************************************



quietly {
tempvar last count T nonz sm xb lambda w w1 r s s1 pd2 q2 f2 d2 pd3 q30 q31 f3 r3 d3 pd4 q40 q41 r4 f4 d4 pd5 q50 q51 f5 /*
*/ r00 r01 r02 r03 r5 d5 pd6 q60 q61 f6 r61 r62 r63 r64 r6 d6 pd7 q70 q71 f7 /*
*/ r0001 r0002 r000 r0011 r0012 r001 r0021 r0022 r002 r0031 r003 r004 r7 d7 /*
*/ pd8 q80 q81 f8 r8001 r8002 r8003 r8004 r8 d8 f d 

bysort id: gen double `last'=(_n==_N) `if'
bysort id: gen double `count'=_n `if'
bysort id: gen double `T'=_N `if'
gen double `nonz' = (instal>0) `if'
bysort id: egen double `sm' = sum(`nonz') `if'
 generate double `xb' = 0 `if'
 local i = 1
 foreach var of varlist `reg' {
        replace `xb' = `xb' + `at'[1,`i']*`var' `if'     
        local `++i'
    }
gen double `lambda' = cond(`nonz', exp(`xb'), 0) `if'

bysort id: egen double `w' = sum(instal) `if'
gen double `w1' = `w'-1 `if'
bysort id: egen double `r' = sum(`lambda') `if'
gen double `s' = `lambda'^`w' `if'
gen double `s1' = `lambda'^`w1' `if'

*If sm==2 (any T)
gen double `pd2' = (`sm'==2) `if'
bysort id: egen double `q2' = sum(`s') `if'
gen double `f2' = `r'^`w'-`q2' `if'

gen double `d2' = `r'^`w1'-`lambda'^`w1' `if'

*If sm==3 & T<=8
gen double `pd3' = (`sm'==3) `if'
gen double `q30' = `nonz'*(`r'-`lambda')^`w' `if'
bysort id: egen double `q31' = sum(`q30') `if'
gen double `f3' = `r'^`w'-`q31'+`q2' `if'

gen double `r3' = cond(`count'==`T', `nonz'[_n-1]*(`lambda'+`lambda'[_n-1])^`w1'+`nonz'[_n-2]*(`lambda'+`lambda'[_n-2])^`w1'+ /*
*/ cond(`T'>3&`nonz'[_n-3], (`lambda'+`lambda'[_n-3])^`w1', 0)+cond(`T'>4&`nonz'[_n-4], (`lambda'+`lambda'[_n-4])^`w1', 0)+ /*
*/ cond(`T'>5&`nonz'[_n-5], (`lambda'+`lambda'[_n-5])^`w1', 0)+cond(`T'>6&`nonz'[_n-6], (`lambda'+`lambda'[_n-6])^`w1', 0)+ /*
*/ cond(`T'>7&`nonz'[_n-7], (`lambda'+`lambda'[_n-7])^`w1', 0), /*
*/ cond(`count'==`T'-1, cond(`T'>7&`nonz'[_n-6], (`lambda'+`lambda'[_n-6])^`w1', 0)+cond(`T'>6&`nonz'[_n-5], (`lambda'+`lambda'[_n-5])^`w1', 0)+ /*
*/ cond(`T'>5&`nonz'[_n-4], (`lambda'+`lambda'[_n-4])^`w1', 0)+cond(`T'>4&`nonz'[_n-3], (`lambda'+`lambda'[_n-3])^`w1', 0)+ /*
*/ cond(`T'>3&`nonz'[_n-2], (`lambda'+`lambda'[_n-2])^`w1', 0)+`nonz'[_n-1]*(`lambda'+`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n+1]*(`lambda'+`lambda'[_n+1])^`w1', /*
*/ cond(`count'==`T'-2, cond(`T'>7&`nonz'[_n-5], (`lambda'+`lambda'[_n-5])^`w1', 0)+cond(`T'>6&`nonz'[_n-4], (`lambda'+`lambda'[_n-4])^`w1', 0)+ /*
*/ cond(`T'>5&`nonz'[_n-3], (`lambda'+`lambda'[_n-3])^`w1', 0)+cond(`T'>4&`nonz'[_n-2], (`lambda'+`lambda'[_n-2])^`w1', 0)+ /*
*/ cond(`T'>3&`nonz'[_n-1], (`lambda'+`lambda'[_n-1])^`w1', 0)+`nonz'[_n+1]*(`lambda'+`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n+2]*(`lambda'+`lambda'[_n+2])^`w1', /*
*/ cond(`T'>3&`count'==`T'-3, cond(`T'>7&`nonz'[_n-4], (`lambda'+`lambda'[_n-4])^`w1', 0)+cond(`T'>6&`nonz'[_n-3], (`lambda'+`lambda'[_n-3])^`w1', 0)+ /*
*/ cond(`T'>5&`nonz'[_n-2], (`lambda'+`lambda'[_n-2])^`w1', 0)+cond(`T'>4&`nonz'[_n-1], (`lambda'+`lambda'[_n-1])^`w1', 0)+ /*
*/ `nonz'[_n+1]*(`lambda'+`lambda'[_n+1])^`w1'+`nonz'[_n+2]*(`lambda'+`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+3]*(`lambda'+`lambda'[_n+3])^`w1', /*
*/ cond(`T'>4&`count'==`T'-4, cond(`T'>7&`nonz'[_n-3], (`lambda'+`lambda'[_n-3])^`w1', 0)+cond(`T'>6&`nonz'[_n-2], (`lambda'+`lambda'[_n-2])^`w1', 0)+ /*
*/ cond(`T'>5&`nonz'[_n-1], (`lambda'+`lambda'[_n-1])^`w1', 0)+`nonz'[_n+1]*(`lambda'+`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n+2]*(`lambda'+`lambda'[_n+2])^`w1'+`nonz'[_n+3]*(`lambda'+`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+4]*(`lambda'+`lambda'[_n+4])^`w1', /*
*/ cond(`T'>5&`count'==`T'-5, cond(`T'>7&`nonz'[_n-2], (`lambda'+`lambda'[_n-2])^`w1', 0)+cond(`T'>6&`nonz'[_n-1], (`lambda'+`lambda'[_n-1])^`w1', 0)+ /*
*/ `nonz'[_n+1]*(`lambda'+`lambda'[_n+1])^`w1'+`nonz'[_n+2]*(`lambda'+`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+3]*(`lambda'+`lambda'[_n+3])^`w1'+`nonz'[_n+4]*(`lambda'+`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+5]*(`lambda'+`lambda'[_n+5])^`w1', /*
*/ cond(`T'>6&`count'==`T'-6, cond(`T'>7&`nonz'[_n-1], (`lambda'+`lambda'[_n-1])^`w1', 0)+`nonz'[_n+1]*(`lambda'+`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n+2]*(`lambda'+`lambda'[_n+2])^`w1'+`nonz'[_n+3]*(`lambda'+`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+4]*(`lambda'+`lambda'[_n+4])^`w1'+`nonz'[_n+5]*(`lambda'+`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+6]*(`lambda'+`lambda'[_n+6])^`w1', /*
*/ cond(`T'>7&`count'==`T'-7, `nonz'[_n+1]*(`lambda'+`lambda'[_n+1])^`w1'+`nonz'[_n+2]*(`lambda'+`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+3]*(`lambda'+`lambda'[_n+3])^`w1'+`nonz'[_n+4]*(`lambda'+`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+5]*(`lambda'+`lambda'[_n+5])^`w1'+`nonz'[_n+6]*(`lambda'+`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+7]*(`lambda'+`lambda'[_n+7])^`w1', 0)))))))) `if'
gen double `d3' = `r'^`w1'-`r3'+`lambda'^`w1' `if'

*If sm==4 & T<=8
gen double `pd4' = (`sm'==4) `if'
gen double `q40' = cond(`count'==`T', 0, `nonz'*`nonz'[_n+1]*(`r'-`lambda'-`lambda'[_n+1])^`w'/*
*/ +cond(`count'<=`T'-2, `nonz'*`nonz'[_n+2]*(`r'-`lambda'-`lambda'[_n+2])^`w', 0) /*
*/ +cond(`count'<=`T'-3, `nonz'*`nonz'[_n+3]*(`r'-`lambda'-`lambda'[_n+3])^`w', 0) /*
*/ +cond(`T'>=5&`count'<=`T'-4, `nonz'*`nonz'[_n+4]*(`r'-`lambda'-`lambda'[_n+4])^`w', 0) /*
*/ +cond(`T'>=6&`count'<=`T'-5, `nonz'*`nonz'[_n+5]*(`r'-`lambda'-`lambda'[_n+5])^`w', 0) /*
*/ +cond(`T'>=7&`count'<=`T'-6, `nonz'*`nonz'[_n+6]*(`r'-`lambda'-`lambda'[_n+6])^`w', 0) /*
*/ +cond(`T'>=8&`count'<=`T'-7, `nonz'*`nonz'[_n+7]*(`r'-`lambda'-`lambda'[_n+7])^`w', 0)) `if'
bysort id: egen double `q41' = sum(`q40') `if'
gen double `f4' = `r'^`w'-`q31'+`q41'-`q2' `if'


gen double `r4' = cond(`count'==`T', `nonz'[_n-1]*(`r'-`lambda'[_n-1])^`w1'+`nonz'[_n-2]*(`r'-`lambda'[_n-2])^`w1'+`nonz'[_n-3]*(`r'-`lambda'[_n-3])^`w1'+ /*
*/ cond(`T'>4, `nonz'[_n-4]*(`r'-`lambda'[_n-4])^`w1', 0)+cond(`T'>5, `nonz'[_n-5]*(`r'-`lambda'[_n-5])^`w1', 0)+ /*
*/ cond(`T'>6, `nonz'[_n-6]*(`r'-`lambda'[_n-6])^`w1', 0)+cond(`T'>7, `nonz'[_n-7]*(`r'-`lambda'[_n-7])^`w1', 0), /*
*/ cond(`count'==`T'-1, `nonz'[_n-2]*(`r'-`lambda'[_n-2])^`w1'+`nonz'[_n-1]*(`r'-`lambda'[_n-1])^`w1'+`nonz'[_n+1]*(`r'-`lambda'[_n+1])^`w1'+ /*
*/ cond(`T'>4, `nonz'[_n-3]*(`r'-`lambda'[_n-3])^`w1', 0)+cond(`T'>5, `nonz'[_n-4]*(`r'-`lambda'[_n-4])^`w1', 0)+ /*
*/ cond(`T'>6, `nonz'[_n-5]*(`r'-`lambda'[_n-5])^`w1', 0)+cond(`T'>7, `nonz'[_n-6]*(`r'-`lambda'[_n-6])^`w1', 0), /*
*/ cond(`count'==`T'-2, `nonz'[_n-1]*(`r'-`lambda'[_n-1])^`w1'+`nonz'[_n+1]*(`r'-`lambda'[_n+1])^`w1'+`nonz'[_n+2]*(`r'-`lambda'[_n+2])^`w1'+ /*
*/ cond(`T'>4, `nonz'[_n-2]*(`r'-`lambda'[_n-2])^`w1', 0)+cond(`T'>5, `nonz'[_n-3]*(`r'-`lambda'[_n-3])^`w1', 0)+ /*
*/ cond(`T'>6, `nonz'[_n-4]*(`r'-`lambda'[_n-4])^`w1', 0)+cond(`T'>7, `nonz'[_n-5]*(`r'-`lambda'[_n-5])^`w1', 0), /*
*/ cond(`count'==`T'-3, `nonz'[_n+1]*(`r'-`lambda'[_n+1])^`w1'+`nonz'[_n+2]*(`r'-`lambda'[_n+2])^`w1'+`nonz'[_n+3]*(`r'-`lambda'[_n+3])^`w1'+ /*
*/ cond(`T'>4, `nonz'[_n-1]*(`r'-`lambda'[_n-1])^`w1', 0)+cond(`T'>5, `nonz'[_n-2]*(`r'-`lambda'[_n-2])^`w1', 0)+ /*
*/ cond(`T'>6, `nonz'[_n-3]*(`r'-`lambda'[_n-3])^`w1', 0)+cond(`T'>7, `nonz'[_n-4]*(`r'-`lambda'[_n-4])^`w1', 0), /*
*/ cond(`count'==`T'-4&`T'>4, cond(`T'>7, `nonz'[_n-3]*(`r'-`lambda'[_n-3])^`w1', 0)+cond(`T'>6, `nonz'[_n-2]*(`r'-`lambda'[_n-2])^`w1', 0)+ /*
*/ cond(`T'>5, `nonz'[_n-1]*(`r'-`lambda'[_n-1])^`w1', 0)+`nonz'[_n+1]*(`r'-`lambda'[_n+1])^`w1'+`nonz'[_n+2]*(`r'-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+3]*(`r'-`lambda'[_n+3])^`w1'+`nonz'[_n+4]*(`r'-`lambda'[_n+4])^`w1', /*
*/ cond(`count'==`T'-5&`T'>5, cond(`T'>7, `nonz'[_n-2]*(`r'-`lambda'[_n-2])^`w1', 0)+ cond(`T'>6, `nonz'[_n-1]*(`r'-`lambda'[_n-1])^`w1', 0)+ /*
*/ `nonz'[_n+1]*(`r'-`lambda'[_n+1])^`w1'+`nonz'[_n+2]*(`r'-`lambda'[_n+2])^`w1'+`nonz'[_n+3]*(`r'-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+4]*(`r'-`lambda'[_n+4])^`w1'+`nonz'[_n+5]*(`r'-`lambda'[_n+5])^`w1', /*
*/ cond(`count'==`T'-6&`T'>6, cond(`T'>7, `nonz'[_n-1]*(`r'-`lambda'[_n-1])^`w1', 0)+`nonz'[_n+1]*(`r'-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n+2]*(`r'-`lambda'[_n+2])^`w1'+`nonz'[_n+3]*(`r'-`lambda'[_n+3])^`w1'+`nonz'[_n+4]*(`r'-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+5]*(`r'-`lambda'[_n+5])^`w1'+`nonz'[_n+6]*(`r'-`lambda'[_n+6])^`w1', /*
*/ cond(`count'==`T'-7&`T'>7, `nonz'[_n+1]*(`r'-`lambda'[_n+1])^`w1'+`nonz'[_n+2]*(`r'-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+3]*(`r'-`lambda'[_n+3])^`w1'+`nonz'[_n+4]*(`r'-`lambda'[_n+4])^`w1'+`nonz'[_n+5]*(`r'-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+6]*(`r'-`lambda'[_n+6])^`w1'+`nonz'[_n+7]*(`r'-`lambda'[_n+7])^`w1', 0)))))))) `if'
gen double `d4' = `r'^`w1'-`r4'+`r3'-`lambda'^`w1' `if'

*If sm==5 & T=<8
gen double `pd5' = (`sm'==5) `if'
gen double `q50' = cond(`nonz'==0, 0, cond(`count'>=`T'-1, 0, `nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'-`lambda'[_n+1]-`lambda'[_n+2])^`w'+ /*
*/ cond(`count'<=`T'-3, `nonz'[_n+1]*`nonz'[_n+3]*(`r'-`lambda'-`lambda'[_n+1]-`lambda'[_n+3])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*(`r'-`lambda'-`lambda'[_n+2]-`lambda'[_n+3])^`w', 0)+ /*
*/ cond(`count'<=`T'-4, `nonz'[_n+1]*`nonz'[_n+4]*(`r'-`lambda'-`lambda'[_n+1]-`lambda'[_n+4])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+4]*(`r'-`lambda'-`lambda'[_n+2]-`lambda'[_n+4])^`w'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'-`lambda'[_n+3]-`lambda'[_n+4])^`w', 0)+ /*
*/ cond(`count'<=`T'-5, `nonz'[_n+1]*`nonz'[_n+5]*(`r'-`lambda'-`lambda'[_n+1]-`lambda'[_n+5])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+5]*(`r'-`lambda'-`lambda'[_n+2]-`lambda'[_n+5])^`w'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+5]*(`r'-`lambda'-`lambda'[_n+3]-`lambda'[_n+5])^`w'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+5]*(`r'-`lambda'-`lambda'[_n+4]-`lambda'[_n+5])^`w', 0)+ /*
*/ cond(`count'<=`T'-6, `nonz'[_n+1]*`nonz'[_n+6]*(`r'-`lambda'-`lambda'[_n+1]-`lambda'[_n+6])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+6]*(`r'-`lambda'-`lambda'[_n+2]-`lambda'[_n+6])^`w'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+6]*(`r'-`lambda'-`lambda'[_n+3]-`lambda'[_n+6])^`w'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+6]*(`r'-`lambda'-`lambda'[_n+4]-`lambda'[_n+6])^`w'+ /*
*/ `nonz'[_n+5]*`nonz'[_n+6]*(`r'-`lambda'-`lambda'[_n+5]-`lambda'[_n+6])^`w', 0)+ /*
*/ cond(`count'<=`T'-7, `nonz'[_n+1]*`nonz'[_n+7]*(`r'-`lambda'-`lambda'[_n+1]-`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+7]*(`r'-`lambda'-`lambda'[_n+2]-`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+7]*(`r'-`lambda'-`lambda'[_n+3]-`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+7]*(`r'-`lambda'-`lambda'[_n+4]-`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+5]*`nonz'[_n+7]*(`r'-`lambda'-`lambda'[_n+5]-`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+6]*`nonz'[_n+7]*(`r'-`lambda'-`lambda'[_n+6]-`lambda'[_n+7])^`w', 0))) `if'
bysort id: egen double `q51'=sum(`q50') `if'
gen double `f5' = `r'^`w'-`q31'+`q41'-`q51'+`q2' `if'

gen double `r00' = cond(`count'==`T', `nonz'[_n-1]*`nonz'[_n-2]*(`r'-`lambda'[_n-1]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-3]*(`r'-`lambda'[_n-1]-`lambda'[_n-3])^`w1'+`nonz'[_n-1]*`nonz'[_n-4]*(`r'-`lambda'[_n-1]-`lambda'[_n-4])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-3]*(`r'-`lambda'[_n-2]-`lambda'[_n-3])^`w1'+`nonz'[_n-2]*`nonz'[_n-4]*(`r'-`lambda'[_n-2]-`lambda'[_n-4])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-4]*(`r'-`lambda'[_n-3]-`lambda'[_n-4])^`w1'+cond(`T'>5, `nonz'[_n-1]*`nonz'[_n-5]*(`r'-`lambda'[_n-1]-`lambda'[_n-5])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-5]*(`r'-`lambda'[_n-2]-`lambda'[_n-5])^`w1'+`nonz'[_n-3]*`nonz'[_n-5]*(`r'-`lambda'[_n-3]-`lambda'[_n-5])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-5]*(`r'-`lambda'[_n-4]-`lambda'[_n-5])^`w1', 0)+cond(`T'>6, `nonz'[_n-1]*`nonz'[_n-6]*(`r'-`lambda'[_n-1]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-6]*(`r'-`lambda'[_n-2]-`lambda'[_n-6])^`w1'+`nonz'[_n-3]*`nonz'[_n-6]*(`r'-`lambda'[_n-3]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-6]*(`r'-`lambda'[_n-4]-`lambda'[_n-6])^`w1'+`nonz'[_n-5]*`nonz'[_n-6]*(`r'-`lambda'[_n-5]-`lambda'[_n-6])^`w1', 0)+ /*
*/ cond(`T'>7, `nonz'[_n-1]*`nonz'[_n-7]*(`r'-`lambda'[_n-1]-`lambda'[_n-7])^`w1'+`nonz'[_n-2]*`nonz'[_n-7]*(`r'-`lambda'[_n-2]-`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-7]*(`r'-`lambda'[_n-3]-`lambda'[_n-7])^`w1'+`nonz'[_n-4]*`nonz'[_n-7]*(`r'-`lambda'[_n-4]-`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-5]*`nonz'[_n-7]*(`r'-`lambda'[_n-5]-`lambda'[_n-7])^`w1'+`nonz'[_n-6]*`nonz'[_n-7]*(`r'-`lambda'[_n-6]-`lambda'[_n-7])^`w1', 0), /*
*/ cond(`count'==`T'-1, `nonz'[_n-1]*`nonz'[_n-2]*(`r'-`lambda'[_n-1]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-3]*(`r'-`lambda'[_n-1]-`lambda'[_n-3])^`w1'+`nonz'[_n-2]*`nonz'[_n-3]*(`r'-`lambda'[_n-2]-`lambda'[_n-3])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n-1]*(`r'-`lambda'[_n+1]-`lambda'[_n-1])^`w1'+`nonz'[_n+1]*`nonz'[_n-2]*(`r'-`lambda'[_n+1]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n-3]*(`r'-`lambda'[_n+1]-`lambda'[_n-3])^`w1'+cond(`T'>5, `nonz'[_n+1]*`nonz'[_n-4]*(`r'-`lambda'[_n+1]-`lambda'[_n-4])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-4]*(`r'-`lambda'[_n-1]-`lambda'[_n-4])^`w1'+`nonz'[_n-2]*`nonz'[_n-4]*(`r'-`lambda'[_n-2]-`lambda'[_n-4])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-4]*(`r'-`lambda'[_n-3]-`lambda'[_n-4])^`w1', 0)+cond(`T'>6, `nonz'[_n+1]*`nonz'[_n-5]*(`r'-`lambda'[_n+1]-`lambda'[_n-5])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-5]*(`r'-`lambda'[_n-1]-`lambda'[_n-5])^`w1'+`nonz'[_n-2]*`nonz'[_n-5]*(`r'-`lambda'[_n-2]-`lambda'[_n-5])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-5]*(`r'-`lambda'[_n-3]-`lambda'[_n-5])^`w1'+`nonz'[_n-4]*`nonz'[_n-5]*(`r'-`lambda'[_n-4]-`lambda'[_n-5])^`w1', 0)+ /*
*/ cond(`T'>7, `nonz'[_n+1]*`nonz'[_n-6]*(`r'-`lambda'[_n+1]-`lambda'[_n-6])^`w1'+`nonz'[_n-1]*`nonz'[_n-6]*(`r'-`lambda'[_n-1]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-6]*(`r'-`lambda'[_n-2]-`lambda'[_n-6])^`w1'+`nonz'[_n-3]*`nonz'[_n-6]*(`r'-`lambda'[_n-3]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-6]*(`r'-`lambda'[_n-4]-`lambda'[_n-6])^`w1'+`nonz'[_n-5]*`nonz'[_n-6]*(`r'-`lambda'[_n-5]-`lambda'[_n-6])^`w1', 0), 0)) `if'


gen double `r01' = cond(`count'==`T'-2, `nonz'[_n-1]*`nonz'[_n-2]*(`r'-`lambda'[_n-1]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n-1]*(`r'-`lambda'[_n+1]-`lambda'[_n-1])^`w1'+`nonz'[_n+1]*`nonz'[_n-2]*(`r'-`lambda'[_n+1]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n-1]*(`r'-`lambda'[_n+2]-`lambda'[_n-1])^`w1'+`nonz'[_n+2]*`nonz'[_n-2]*(`r'-`lambda'[_n+2]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+cond(`T'>5, `nonz'[_n+2]*`nonz'[_n-3]*(`r'-`lambda'[_n+2]-`lambda'[_n-3])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n-3]*(`r'-`lambda'[_n+1]-`lambda'[_n-3])^`w1'+`nonz'[_n-1]*`nonz'[_n-3]*(`r'-`lambda'[_n-1]-`lambda'[_n-3])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-3]*(`r'-`lambda'[_n-2]-`lambda'[_n-3])^`w1', 0)+cond(`T'>6, `nonz'[_n+2]*`nonz'[_n-4]*(`r'-`lambda'[_n+2]-`lambda'[_n-4])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n-4]*(`r'-`lambda'[_n+1]-`lambda'[_n-4])^`w1'+`nonz'[_n-1]*`nonz'[_n-4]*(`r'-`lambda'[_n-1]-`lambda'[_n-4])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-4]*(`r'-`lambda'[_n-2]-`lambda'[_n-4])^`w1'+`nonz'[_n-3]*`nonz'[_n-4]*(`r'-`lambda'[_n-3]-`lambda'[_n-4])^`w1', 0)+ /*
*/ cond(`T'>7, `nonz'[_n+2]*`nonz'[_n-5]*(`r'-`lambda'[_n+2]-`lambda'[_n-5])^`w1'+`nonz'[_n+1]*`nonz'[_n-5]*(`r'-`lambda'[_n+1]-`lambda'[_n-5])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-5]*(`r'-`lambda'[_n-1]-`lambda'[_n-5])^`w1'+`nonz'[_n-2]*`nonz'[_n-5]*(`r'-`lambda'[_n-2]-`lambda'[_n-5])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-5]*(`r'-`lambda'[_n-3]-`lambda'[_n-5])^`w1'+`nonz'[_n-4]*`nonz'[_n-5]*(`r'-`lambda'[_n-4]-`lambda'[_n-5])^`w1', 0), /*
*/ cond(`count'==`T'-3, `nonz'[_n-1]*`nonz'[_n+1]*(`r'-`lambda'[_n-1]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+2]*(`r'-`lambda'[_n-1]-`lambda'[_n+2])^`w1'+`nonz'[_n-1]*`nonz'[_n+3]*(`r'-`lambda'[_n-1]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+`nonz'[_n+1]*`nonz'[_n+3]*(`r'-`lambda'[_n+1]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*(`r'-`lambda'[_n+2]-`lambda'[_n+3])^`w1'+cond(`T'>5, `nonz'[_n+3]*`nonz'[_n-2]*(`r'-`lambda'[_n+3]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n-2]*(`r'-`lambda'[_n+2]-`lambda'[_n-2])^`w1'+`nonz'[_n+1]*`nonz'[_n-2]*(`r'-`lambda'[_n+1]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-2]*(`r'-`lambda'[_n-1]-`lambda'[_n-2])^`w1', 0)+cond(`T'>6, `nonz'[_n+3]*`nonz'[_n-3]*(`r'-`lambda'[_n+3]-`lambda'[_n-3])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n-3]*(`r'-`lambda'[_n+2]-`lambda'[_n-3])^`w1'+`nonz'[_n+1]*`nonz'[_n-3]*(`r'-`lambda'[_n+1]-`lambda'[_n-3])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-3]*(`r'-`lambda'[_n-1]-`lambda'[_n-3])^`w1'+`nonz'[_n-2]*`nonz'[_n-3]*(`r'-`lambda'[_n-2]-`lambda'[_n-3])^`w1', 0)+ /*
*/ cond(`T'>7, `nonz'[_n+3]*`nonz'[_n-4]*(`r'-`lambda'[_n+3]-`lambda'[_n-4])^`w1'+`nonz'[_n+2]*`nonz'[_n-4]*(`r'-`lambda'[_n+2]-`lambda'[_n-4])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n-4]*(`r'-`lambda'[_n+1]-`lambda'[_n-4])^`w1'+`nonz'[_n-1]*`nonz'[_n-4]*(`r'-`lambda'[_n-1]-`lambda'[_n-4])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-4]*(`r'-`lambda'[_n-2]-`lambda'[_n-4])^`w1'+`nonz'[_n-3]*`nonz'[_n-4]*(`r'-`lambda'[_n-3]-`lambda'[_n-4])^`w1', 0), 0)) `if'

gen double `r02' = cond(`count'==`T'-4, `nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*(`r'-`lambda'[_n+1]-`lambda'[_n+3])^`w1'+`nonz'[_n+2]*`nonz'[_n+3]*(`r'-`lambda'[_n+2]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+4]*(`r'-`lambda'[_n+1]-`lambda'[_n+4])^`w1'+`nonz'[_n+2]*`nonz'[_n+4]*(`r'-`lambda'[_n+2]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'[_n+3]-`lambda'[_n+4])^`w1'+cond(`T'>5, `nonz'[_n+4]*`nonz'[_n-1]*(`r'-`lambda'[_n+4]-`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n-1]*(`r'-`lambda'[_n+3]-`lambda'[_n-1])^`w1'+`nonz'[_n+2]*`nonz'[_n-1]*(`r'-`lambda'[_n+2]-`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n-1]*(`r'-`lambda'[_n+1]-`lambda'[_n-1])^`w1', 0)+cond(`T'>6, `nonz'[_n+4]*`nonz'[_n-2]*(`r'-`lambda'[_n+4]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n-2]*(`r'-`lambda'[_n+3]-`lambda'[_n-2])^`w1'+`nonz'[_n+2]*`nonz'[_n-2]*(`r'-`lambda'[_n+2]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n-2]*(`r'-`lambda'[_n+1]-`lambda'[_n-2])^`w1'+`nonz'[_n-1]*`nonz'[_n-2]*(`r'-`lambda'[_n-1]-`lambda'[_n-2])^`w1', 0)+ /*
*/ cond(`T'>7, `nonz'[_n+4]*`nonz'[_n-3]*(`r'-`lambda'[_n+4]-`lambda'[_n-3])^`w1'+`nonz'[_n+3]*`nonz'[_n-3]*(`r'-`lambda'[_n+3]-`lambda'[_n-3])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n-3]*(`r'-`lambda'[_n+2]-`lambda'[_n-3])^`w1'+`nonz'[_n+1]*`nonz'[_n-3]*(`r'-`lambda'[_n+1]-`lambda'[_n-3])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-3]*(`r'-`lambda'[_n-1]-`lambda'[_n-3])^`w1'+`nonz'[_n-2]*`nonz'[_n-3]*(`r'-`lambda'[_n-2]-`lambda'[_n-3])^`w1', 0), /*
*/ cond(`count'==`T'-5&`T'>5, `nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*(`r'-`lambda'[_n+1]-`lambda'[_n+3])^`w1'+`nonz'[_n+2]*`nonz'[_n+3]*(`r'-`lambda'[_n+2]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+4]*(`r'-`lambda'[_n+1]-`lambda'[_n+4])^`w1'+`nonz'[_n+2]*`nonz'[_n+4]*(`r'-`lambda'[_n+2]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'[_n+3]-`lambda'[_n+4])^`w1'+`nonz'[_n+1]*`nonz'[_n+5]*(`r'-`lambda'[_n+1]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+5]*(`r'-`lambda'[_n+2]-`lambda'[_n+5])^`w1'+`nonz'[_n+3]*`nonz'[_n+5]*(`r'-`lambda'[_n+3]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+5]*(`r'-`lambda'[_n+4]-`lambda'[_n+5])^`w1'+cond(`T'>6, `nonz'[_n+5]*`nonz'[_n-1]*(`r'-`lambda'[_n+5]-`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n+4]*`nonz'[_n-1]*(`r'-`lambda'[_n+4]-`lambda'[_n-1])^`w1'+`nonz'[_n+3]*`nonz'[_n-1]*(`r'-`lambda'[_n+3]-`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n-1]*(`r'-`lambda'[_n+2]-`lambda'[_n-1])^`w1'+`nonz'[_n+1]*`nonz'[_n-1]*(`r'-`lambda'[_n+1]-`lambda'[_n-1])^`w1', 0)+ /*
*/ cond(`T'>7, `nonz'[_n+5]*`nonz'[_n-2]*(`r'-`lambda'[_n+5]-`lambda'[_n-2])^`w1'+`nonz'[_n+4]*`nonz'[_n-2]*(`r'-`lambda'[_n+4]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n-2]*(`r'-`lambda'[_n+3]-`lambda'[_n-2])^`w1'+`nonz'[_n+2]*`nonz'[_n-2]*(`r'-`lambda'[_n+2]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n-2]*(`r'-`lambda'[_n+1]-`lambda'[_n-2])^`w1'+`nonz'[_n-1]*`nonz'[_n-2]*(`r'-`lambda'[_n-1]-`lambda'[_n-2])^`w1', 0), 0)) `if'

gen double `r03' = cond(`count'==`T'-6&`T'>6, `nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*(`r'-`lambda'[_n+1]-`lambda'[_n+3])^`w1'+`nonz'[_n+2]*`nonz'[_n+3]*(`r'-`lambda'[_n+2]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+4]*(`r'-`lambda'[_n+1]-`lambda'[_n+4])^`w1'+`nonz'[_n+2]*`nonz'[_n+4]*(`r'-`lambda'[_n+2]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'[_n+3]-`lambda'[_n+4])^`w1'+`nonz'[_n+1]*`nonz'[_n+5]*(`r'-`lambda'[_n+1]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+5]*(`r'-`lambda'[_n+2]-`lambda'[_n+5])^`w1'+`nonz'[_n+3]*`nonz'[_n+5]*(`r'-`lambda'[_n+3]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+5]*(`r'-`lambda'[_n+4]-`lambda'[_n+5])^`w1'+`nonz'[_n+1]*`nonz'[_n+6]*(`r'-`lambda'[_n+1]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+6]*(`r'-`lambda'[_n+2]-`lambda'[_n+6])^`w1'+`nonz'[_n+3]*`nonz'[_n+6]*(`r'-`lambda'[_n+3]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+6]*(`r'-`lambda'[_n+4]-`lambda'[_n+6])^`w1'+`nonz'[_n+5]*`nonz'[_n+6]*(`r'-`lambda'[_n+5]-`lambda'[_n+6])^`w1'+ /*
*/ cond(`T'>7, `nonz'[_n-1]*`nonz'[_n+6]*(`r'-`lambda'[_n-1]-`lambda'[_n+6])^`w1'+`nonz'[_n-1]*`nonz'[_n+5]*(`r'-`lambda'[_n-1]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+4]*(`r'-`lambda'[_n-1]-`lambda'[_n+4])^`w1'+`nonz'[_n-1]*`nonz'[_n+3]*(`r'-`lambda'[_n-1]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+2]*(`r'-`lambda'[_n-1]-`lambda'[_n+2])^`w1'+`nonz'[_n-1]*`nonz'[_n+1]*(`r'-`lambda'[_n-1]-`lambda'[_n+1])^`w1', 0), /*
*/ cond(`count'==`T'-7&`T'>7, `nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*(`r'-`lambda'[_n+1]-`lambda'[_n+3])^`w1'+`nonz'[_n+2]*`nonz'[_n+3]*(`r'-`lambda'[_n+2]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+4]*(`r'-`lambda'[_n+1]-`lambda'[_n+4])^`w1'+`nonz'[_n+2]*`nonz'[_n+4]*(`r'-`lambda'[_n+2]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'[_n+3]-`lambda'[_n+4])^`w1'+`nonz'[_n+1]*`nonz'[_n+5]*(`r'-`lambda'[_n+1]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+5]*(`r'-`lambda'[_n+2]-`lambda'[_n+5])^`w1'+`nonz'[_n+3]*`nonz'[_n+5]*(`r'-`lambda'[_n+3]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+5]*(`r'-`lambda'[_n+4]-`lambda'[_n+5])^`w1'+`nonz'[_n+1]*`nonz'[_n+6]*(`r'-`lambda'[_n+1]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+6]*(`r'-`lambda'[_n+2]-`lambda'[_n+6])^`w1'+`nonz'[_n+3]*`nonz'[_n+6]*(`r'-`lambda'[_n+3]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+6]*(`r'-`lambda'[_n+4]-`lambda'[_n+6])^`w1'+`nonz'[_n+5]*`nonz'[_n+6]*(`r'-`lambda'[_n+5]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+7]*(`r'-`lambda'[_n+1]-`lambda'[_n+7])^`w1'+`nonz'[_n+2]*`nonz'[_n+7]*(`r'-`lambda'[_n+2]-`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+7]*(`r'-`lambda'[_n+3]-`lambda'[_n+7])^`w1'+`nonz'[_n+4]*`nonz'[_n+7]*(`r'-`lambda'[_n+4]-`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+5]*`nonz'[_n+7]*(`r'-`lambda'[_n+5]-`lambda'[_n+7])^`w1'+`nonz'[_n+6]*`nonz'[_n+7]*(`r'-`lambda'[_n+6]-`lambda'[_n+7])^`w1', 0)) `if'  

gen double `r5' = `r00'+`r01'+`r02'+`r03' `if'
gen double `d5' = `r'^`w1'-`r4'+`r5'-`r3'+`lambda'^`w1' `if'

*If sm==6 & T=<8
gen double `pd6' = (`sm'==6) `if'
gen double `q60' = cond(`count'==`T', 0, `nonz'[_n+1]*(`lambda'+`lambda'[_n+1])^`w'+cond(`count'<=`T'-2, `nonz'[_n+2]*(`lambda'+`lambda'[_n+2])^`w', 0)+ /*
*/ cond(`count'<=`T'-3, `nonz'[_n+3]*(`lambda'+`lambda'[_n+3])^`w', 0)+cond(`count'<=`T'-4, `nonz'[_n+4]*(`lambda'+`lambda'[_n+4])^`w', 0)+ /*
*/ cond(`count'<=`T'-5, `nonz'[_n+5]*(`lambda'+`lambda'[_n+5])^`w', 0)+cond(`count'<=`T'-6, `nonz'[_n+6]*(`lambda'+`lambda'[_n+6])^`w', 0)+ /*
*/ cond(`count'<=`T'-7, `nonz'[_n+7]*(`lambda'+`lambda'[_n+7])^`w', 0)) `if'
bysort id: egen double `q61'=sum(`q60') `if'
gen double `f6' = `r'^`w'-`q31'+`q41'-`q51'+`q61'-`q2' `if'

gen double `r61' = cond(`count'==`T', `nonz'[_n-1]*`nonz'[_n-2]*(`lambda'+`lambda'[_n-1]+`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-3]*(`lambda'+`lambda'[_n-1]+`lambda'[_n-3])^`w1'+`nonz'[_n-1]*`nonz'[_n-4]*(`lambda'+`lambda'[_n-1]+`lambda'[_n-4])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-5]*(`lambda'+`lambda'[_n-1]+`lambda'[_n-5])^`w1'+`nonz'[_n-2]*`nonz'[_n-3]*(`lambda'+`lambda'[_n-2]+`lambda'[_n-3])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-4]*(`lambda'+`lambda'[_n-2]+`lambda'[_n-4])^`w1'+`nonz'[_n-2]*`nonz'[_n-5]*(`lambda'+`lambda'[_n-2]+`lambda'[_n-5])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-4]*(`lambda'+`lambda'[_n-3]+`lambda'[_n-4])^`w1'+`nonz'[_n-3]*`nonz'[_n-5]*(`lambda'+`lambda'[_n-3]+`lambda'[_n-5])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-5]*(`lambda'+`lambda'[_n-4]+`lambda'[_n-5])^`w1'+cond(`T'>6&`nonz'[_n-6],`nonz'[_n-1]*(`lambda'+`lambda'[_n-1]+`lambda'[_n-6])^`w1'+/*
*/ `nonz'[_n-2]*(`lambda'+`lambda'[_n-2]+`lambda'[_n-6])^`w1'+`nonz'[_n-3]*(`lambda'+`lambda'[_n-3]+`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-4]*(`lambda'+`lambda'[_n-4]+`lambda'[_n-6])^`w1'+`nonz'[_n-5]*(`lambda'+`lambda'[_n-5]+`lambda'[_n-6])^`w1', 0)+ /*
*/ cond(`T'>7&`nonz'[_n-7], `nonz'[_n-1]*(`lambda'+`lambda'[_n-1]+`lambda'[_n-7])^`w1'+`nonz'[_n-2]*(`lambda'+`lambda'[_n-2]+`lambda'[_n-7])^`w1'+/*
*/ `nonz'[_n-3]*(`lambda'+`lambda'[_n-3]+`lambda'[_n-7])^`w1'+`nonz'[_n-4]*(`lambda'+`lambda'[_n-4]+`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-5]*(`lambda'+`lambda'[_n-5]+`lambda'[_n-7])^`w1'+`nonz'[_n-6]*(`lambda'+`lambda'[_n-6]+`lambda'[_n-7])^`w1', 0), /*
*/ cond(`count'==`T'-1, `nonz'[_n-4]*`nonz'[_n+1]*(`lambda'+`lambda'[_n-4]+`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n+1]*(`lambda'+`lambda'[_n-3]+`lambda'[_n+1])^`w1'+`nonz'[_n-2]*`nonz'[_n+1]*(`lambda'+`lambda'[_n-2]+`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+1]*(`lambda'+`lambda'[_n-1]+`lambda'[_n+1])^`w1'+`nonz'[_n-4]*`nonz'[_n-1]*(`lambda'+`lambda'[_n-4]+`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-1]*(`lambda'+`lambda'[_n-3]+`lambda'[_n-1])^`w1'+`nonz'[_n-2]*`nonz'[_n-1]*(`lambda'+`lambda'[_n-2]+`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-2]*(`lambda'+`lambda'[_n-4]+`lambda'[_n-2])^`w1'+`nonz'[_n-3]*`nonz'[_n-2]*(`lambda'+`lambda'[_n-3]+`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-3]*(`lambda'+`lambda'[_n-4]+`lambda'[_n-3])^`w1'+cond(`T'>6&`nonz'[_n-5],`nonz'[_n+1]*(`lambda'+`lambda'[_n+1]+`lambda'[_n-5])^`w1'+/*
*/ `nonz'[_n-1]*(`lambda'+`lambda'[_n-1]+`lambda'[_n-5])^`w1'+`nonz'[_n-2]*(`lambda'+`lambda'[_n-2]+`lambda'[_n-5])^`w1'+ /*
*/ `nonz'[_n-3]*(`lambda'+`lambda'[_n-3]+`lambda'[_n-5])^`w1'+`nonz'[_n-4]*(`lambda'+`lambda'[_n-4]+`lambda'[_n-5])^`w1', 0)+ /*
*/ cond(`T'>7&`nonz'[_n-6], `nonz'[_n+1]*(`lambda'+`lambda'[_n+1]+`lambda'[_n-6])^`w1'+`nonz'[_n-1]*(`lambda'+`lambda'[_n-1]+`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-2]*(`lambda'+`lambda'[_n-2]+`lambda'[_n-6])^`w1'+`nonz'[_n-3]*(`lambda'+`lambda'[_n-3]+`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-4]*(`lambda'+`lambda'[_n-4]+`lambda'[_n-6])^`w1'+`nonz'[_n-5]*(`lambda'+`lambda'[_n-5]+`lambda'[_n-6])^`w1', 0), 0))  `if'

gen double `r62' = cond(`count'==`T'-2, `nonz'[_n-3]*`nonz'[_n+2]*(`lambda'+`lambda'[_n-3]+`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+2]*(`lambda'+`lambda'[_n-2]+`lambda'[_n+2])^`w1'+`nonz'[_n-1]*`nonz'[_n+2]*(`lambda'+`lambda'[_n-1]+`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+2]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+`nonz'[_n-3]*`nonz'[_n+1]*(`lambda'+`lambda'[_n-3]+`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+1]*(`lambda'+`lambda'[_n-2]+`lambda'[_n+1])^`w1'+`nonz'[_n-1]*`nonz'[_n+1]*(`lambda'+`lambda'[_n-1]+`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-1]*(`lambda'+`lambda'[_n-3]+`lambda'[_n-1])^`w1'+`nonz'[_n-2]*`nonz'[_n-1]*(`lambda'+`lambda'[_n-2]+`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-2]*(`lambda'+`lambda'[_n-3]+`lambda'[_n-2])^`w1'+cond(`T'>6&`nonz'[_n-4],`nonz'[_n+2]*(`lambda'+`lambda'[_n+2]+`lambda'[_n-4])^`w1'+/*
*/ `nonz'[_n+1]*(`lambda'+`lambda'[_n+1]+`lambda'[_n-4])^`w1'+`nonz'[_n-1]*(`lambda'+`lambda'[_n-1]+`lambda'[_n-4])^`w1'+ /*
*/ `nonz'[_n-2]*(`lambda'+`lambda'[_n-2]+`lambda'[_n-4])^`w1'+`nonz'[_n-3]*(`lambda'+`lambda'[_n-3]+`lambda'[_n-4])^`w1', 0)+ /*
*/ cond(`T'>7&`nonz'[_n-5], `nonz'[_n+2]*(`lambda'+`lambda'[_n+2]+`lambda'[_n-5])^`w1'+`nonz'[_n+1]*(`lambda'+`lambda'[_n+1]+`lambda'[_n-5])^`w1'+ /*
*/ `nonz'[_n-1]*(`lambda'+`lambda'[_n-1]+`lambda'[_n-5])^`w1'+`nonz'[_n-2]*(`lambda'+`lambda'[_n-2]+`lambda'[_n-5])^`w1'+ /*
*/ `nonz'[_n-3]*(`lambda'+`lambda'[_n-3]+`lambda'[_n-5])^`w1'+`nonz'[_n-4]*(`lambda'+`lambda'[_n-4]+`lambda'[_n-5])^`w1', 0), /*
*/ cond(`count'==`T'-3, `nonz'[_n-2]*`nonz'[_n+3]*(`lambda'+`lambda'[_n-2]+`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+3]*(`lambda'+`lambda'[_n-1]+`lambda'[_n+3])^`w1'+`nonz'[_n+1]*`nonz'[_n+3]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+`nonz'[_n-2]*`nonz'[_n+2]*(`lambda'+`lambda'[_n-2]+`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+2]*(`lambda'+`lambda'[_n-1]+`lambda'[_n+2])^`w1'+`nonz'[_n+1]*`nonz'[_n+2]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+1]*(`lambda'+`lambda'[_n-2]+`lambda'[_n+1])^`w1'+`nonz'[_n-1]*`nonz'[_n+1]*(`lambda'+`lambda'[_n-1]+`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-1]*(`lambda'+`lambda'[_n-2]+`lambda'[_n-1])^`w1'+cond(`T'>6&`nonz'[_n-3],`nonz'[_n+3]*(`lambda'+`lambda'[_n+3]+`lambda'[_n-3])^`w1'+/*
*/ `nonz'[_n+2]*(`lambda'+`lambda'[_n+2]+`lambda'[_n-3])^`w1'+`nonz'[_n+1]*(`lambda'+`lambda'[_n+1]+`lambda'[_n-3])^`w1'+ /*
*/ `nonz'[_n-1]*(`lambda'+`lambda'[_n-1]+`lambda'[_n-3])^`w1'+`nonz'[_n-2]*(`lambda'+`lambda'[_n-2]+`lambda'[_n-3])^`w1', 0)+ /*
*/ cond(`T'>7&`nonz'[_n-4], `nonz'[_n+3]*(`lambda'+`lambda'[_n+3]+`lambda'[_n-4])^`w1'+`nonz'[_n+2]*(`lambda'+`lambda'[_n+2]+`lambda'[_n-4])^`w1'+ /*
*/ `nonz'[_n+1]*(`lambda'+`lambda'[_n+1]+`lambda'[_n-4])^`w1'+`nonz'[_n-1]*(`lambda'+`lambda'[_n-1]+`lambda'[_n-4])^`w1'+ /*
*/ `nonz'[_n-2]*(`lambda'+`lambda'[_n-2]+`lambda'[_n-4])^`w1'+`nonz'[_n-3]*(`lambda'+`lambda'[_n-3]+`lambda'[_n-4])^`w1', 0), 0)) `if' 

gen double `r63' = cond(`count'==`T'-4, `nonz'[_n-1]*`nonz'[_n+4]*(`lambda'+`lambda'[_n-1]+`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+4])^`w1'+`nonz'[_n+2]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+`nonz'[_n-1]*`nonz'[_n+3]*(`lambda'+`lambda'[_n-1]+`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+3])^`w1'+`nonz'[_n+2]*`nonz'[_n+3]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+2]*(`lambda'+`lambda'[_n-1]+`lambda'[_n+2])^`w1'+`nonz'[_n+1]*`nonz'[_n+2]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+1]*(`lambda'+`lambda'[_n-1]+`lambda'[_n+1])^`w1'+cond(`T'>6&`nonz'[_n-2],`nonz'[_n+4]*(`lambda'+`lambda'[_n+4]+`lambda'[_n-2])^`w1'+/*
*/ `nonz'[_n+3]*(`lambda'+`lambda'[_n+3]+`lambda'[_n-2])^`w1'+`nonz'[_n+2]*(`lambda'+`lambda'[_n+2]+`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n+1]*(`lambda'+`lambda'[_n+1]+`lambda'[_n-2])^`w1'+`nonz'[_n-1]*(`lambda'+`lambda'[_n-1]+`lambda'[_n-2])^`w1', 0)+ /*
*/ cond(`T'>7&`nonz'[_n-3], `nonz'[_n+4]*(`lambda'+`lambda'[_n+4]+`lambda'[_n-3])^`w1'+`nonz'[_n+3]*(`lambda'+`lambda'[_n+3]+`lambda'[_n-3])^`w1'+ /*
*/ `nonz'[_n+2]*(`lambda'+`lambda'[_n+2]+`lambda'[_n-3])^`w1'+`nonz'[_n+1]*(`lambda'+`lambda'[_n+1]+`lambda'[_n-3])^`w1'+ /*
*/ `nonz'[_n-1]*(`lambda'+`lambda'[_n-1]+`lambda'[_n-3])^`w1'+`nonz'[_n-2]*(`lambda'+`lambda'[_n-2]+`lambda'[_n-3])^`w1', 0), /*
*/ cond(`count'==`T'-5, `nonz'[_n+1]*`nonz'[_n+2]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+3])^`w1'+`nonz'[_n+1]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+5])^`w1'+`nonz'[_n+2]*`nonz'[_n+3]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+4])^`w1'+`nonz'[_n+2]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+`nonz'[_n+3]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+4]+`lambda'[_n+5])^`w1'+cond(`T'>6&`nonz'[_n-1],`nonz'[_n+5]*(`lambda'+`lambda'[_n+5]+`lambda'[_n-1])^`w1'+/*
*/ `nonz'[_n+4]*(`lambda'+`lambda'[_n+4]+`lambda'[_n-1])^`w1'+`nonz'[_n+3]*(`lambda'+`lambda'[_n+3]+`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n+2]*(`lambda'+`lambda'[_n+2]+`lambda'[_n-1])^`w1'+`nonz'[_n+1]*(`lambda'+`lambda'[_n+1]+`lambda'[_n-1])^`w1', 0)+ /*
*/ cond(`T'>7&`nonz'[_n-2], `nonz'[_n+5]*(`lambda'+`lambda'[_n+5]+`lambda'[_n-2])^`w1'+`nonz'[_n+4]*(`lambda'+`lambda'[_n+4]+`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n+3]*(`lambda'+`lambda'[_n+3]+`lambda'[_n-2])^`w1'+`nonz'[_n+2]*(`lambda'+`lambda'[_n+2]+`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n+1]*(`lambda'+`lambda'[_n+1]+`lambda'[_n-2])^`w1'+`nonz'[_n-1]*(`lambda'+`lambda'[_n-1]+`lambda'[_n-2])^`w1', 0), 0))  `if' 

gen double `r64' = cond(`count'==`T'-6, `nonz'[_n+1]*`nonz'[_n+2]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+3])^`w1'+`nonz'[_n+1]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+5])^`w1'+`nonz'[_n+1]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+`nonz'[_n+2]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+5])^`w1'+`nonz'[_n+2]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+`nonz'[_n+3]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+6])^`w1'+`nonz'[_n+4]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+4]+`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+4]+`lambda'[_n+6])^`w1'+`nonz'[_n+5]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+5]+`lambda'[_n+6])^`w1'+ /*
*/ cond(`T'>7&`nonz'[_n-1], `nonz'[_n+6]*(`lambda'+`lambda'[_n+6]+`lambda'[_n-1])^`w1'+`nonz'[_n+5]*(`lambda'+`lambda'[_n+5]+`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n+4]*(`lambda'+`lambda'[_n+4]+`lambda'[_n-1])^`w1'+`nonz'[_n+3]*(`lambda'+`lambda'[_n+3]+`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n+2]*(`lambda'+`lambda'[_n+2]+`lambda'[_n-1])^`w1'+`nonz'[_n+1]*(`lambda'+`lambda'[_n+1]+`lambda'[_n-1])^`w1', 0), /*
*/ cond(`count'==`T'-7, `nonz'[_n+1]*`nonz'[_n+2]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+3])^`w1'+`nonz'[_n+1]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+5])^`w1'+`nonz'[_n+1]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+7])^`w1'+`nonz'[_n+2]*`nonz'[_n+3]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+4])^`w1'+`nonz'[_n+2]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+5])^`w1'+/*
*/ `nonz'[_n+2]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+6])^`w1'+`nonz'[_n+2]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+7])^`w1'+/*
*/ `nonz'[_n+3]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+`nonz'[_n+3]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+6])^`w1'+`nonz'[_n+3]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+4]+`lambda'[_n+5])^`w1'+`nonz'[_n+4]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+4]+`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+4]+`lambda'[_n+7])^`w1'+`nonz'[_n+5]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+5]+`lambda'[_n+6])^`w1'+ /*  
*/ `nonz'[_n+5]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+5]+`lambda'[_n+7])^`w1'+`nonz'[_n+6]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+6]+`lambda'[_n+7])^`w1', 0)) `if'

gen double `r6' = `r61'+`r62'+`r63'+`r64' `if'
gen double `d6' = `r'^`w1'-`r4'+`r5'-`r6'+`r3'-`lambda'^`w1' `if'

*If sm==7 & T=<8
gen double `pd7' = (`sm'==7) `if'
gen double `q70' =  cond(`count'>=`T'-1, 0, `nonz'[_n+1]*`nonz'[_n+2]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+2])^`w'+ /*
*/ cond(`count'<=`T'-3, `nonz'[_n+1]*`nonz'[_n+3]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+3])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+3])^`w', 0)+ /*
*/ cond(`count'<=`T'-4, `nonz'[_n+1]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+4])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+4])^`w'+`nonz'[_n+3]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+4])^`w', 0)+ /*
*/ cond(`count'<=`T'-5, `nonz'[_n+1]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+5])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+5])^`w'+`nonz'[_n+3]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+5])^`w'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+4]+`lambda'[_n+5])^`w', 0)+ /*
*/ cond(`count'<=`T'-6, `nonz'[_n+1]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+6])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+6])^`w'+`nonz'[_n+3]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+6])^`w'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+4]+`lambda'[_n+6])^`w'+`nonz'[_n+5]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+5]+`lambda'[_n+6])^`w', 0)+ /*
*/ cond(`count'<=`T'-7, `nonz'[_n+1]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+7])^`w'+`nonz'[_n+3]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+4]+`lambda'[_n+7])^`w'+`nonz'[_n+5]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+5]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+6]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+6]+`lambda'[_n+7])^`w', 0)) `if'
bysort id: egen double `q71'=sum(`q70') `if'
gen double `f7' = `r'^`w'-`q31'+`q41'-`q51'+`q71'-`q61'+`q2' `if'

gen double `r0001' = cond(`count'==`T'&`T'>7, `nonz'[_n-1]*`nonz'[_n-2]*`nonz'[_n-7]*(`r'-`lambda'[_n-1]-`lambda'[_n-2]-`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-3]*`nonz'[_n-7]*(`r'-`lambda'[_n-1]-`lambda'[_n-3]-`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-4]*`nonz'[_n-7]*(`r'-`lambda'[_n-1]-`lambda'[_n-4]-`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-5]*`nonz'[_n-7]*(`r'-`lambda'[_n-1]-`lambda'[_n-5]-`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-6]*`nonz'[_n-7]*(`r'-`lambda'[_n-1]-`lambda'[_n-6]-`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-3]*`nonz'[_n-7]*(`r'-`lambda'[_n-2]-`lambda'[_n-3]-`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-4]*`nonz'[_n-7]*(`r'-`lambda'[_n-2]-`lambda'[_n-4]-`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-5]*`nonz'[_n-7]*(`r'-`lambda'[_n-2]-`lambda'[_n-5]-`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-6]*`nonz'[_n-7]*(`r'-`lambda'[_n-2]-`lambda'[_n-6]-`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-4]*`nonz'[_n-7]*(`r'-`lambda'[_n-3]-`lambda'[_n-4]-`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-5]*`nonz'[_n-7]*(`r'-`lambda'[_n-3]-`lambda'[_n-5]-`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-6]*`nonz'[_n-7]*(`r'-`lambda'[_n-3]-`lambda'[_n-6]-`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-5]*`nonz'[_n-7]*(`r'-`lambda'[_n-4]-`lambda'[_n-5]-`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-6]*`nonz'[_n-7]*(`r'-`lambda'[_n-4]-`lambda'[_n-6]-`lambda'[_n-7])^`w1'+ /*
*/ `nonz'[_n-5]*`nonz'[_n-6]*`nonz'[_n-7]*(`r'-`lambda'[_n-5]-`lambda'[_n-6]-`lambda'[_n-7])^`w1', 0) `if'

gen double `r0002' = cond(`count'==`T'-1&`T'>7, `nonz'[_n+1]*`nonz'[_n-1]*`nonz'[_n-6]*(`r'-`lambda'[_n+1]-`lambda'[_n-1]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n-2]*`nonz'[_n-6]*(`r'-`lambda'[_n+1]-`lambda'[_n-2]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n-3]*`nonz'[_n-6]*(`r'-`lambda'[_n+1]-`lambda'[_n-3]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n-4]*`nonz'[_n-6]*(`r'-`lambda'[_n+1]-`lambda'[_n-4]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n-5]*`nonz'[_n-6]*(`r'-`lambda'[_n+1]-`lambda'[_n-5]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-2]*`nonz'[_n-6]*(`r'-`lambda'[_n-1]-`lambda'[_n-2]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-3]*`nonz'[_n-6]*(`r'-`lambda'[_n-1]-`lambda'[_n-3]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-4]*`nonz'[_n-6]*(`r'-`lambda'[_n-1]-`lambda'[_n-4]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-5]*`nonz'[_n-6]*(`r'-`lambda'[_n-1]-`lambda'[_n-5]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-3]*`nonz'[_n-6]*(`r'-`lambda'[_n-2]-`lambda'[_n-3]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-4]*`nonz'[_n-6]*(`r'-`lambda'[_n-2]-`lambda'[_n-4]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-5]*`nonz'[_n-6]*(`r'-`lambda'[_n-2]-`lambda'[_n-5]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-4]*`nonz'[_n-6]*(`r'-`lambda'[_n-3]-`lambda'[_n-4]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-5]*`nonz'[_n-6]*(`r'-`lambda'[_n-3]-`lambda'[_n-5]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-5]*`nonz'[_n-6]*(`r'-`lambda'[_n-4]-`lambda'[_n-5]-`lambda'[_n-6])^`w1', 0) `if'

gen double `r000' = cond(`count'>=`T'-1, `nonz'[_n-1]*`nonz'[_n-2]*`nonz'[_n-3]*(`r'-`lambda'[_n-1]-`lambda'[_n-2]-`lambda'[_n-3])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-2]*`nonz'[_n-4]*(`r'-`lambda'[_n-1]-`lambda'[_n-2]-`lambda'[_n-4])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-3]*`nonz'[_n-4]*(`r'-`lambda'[_n-1]-`lambda'[_n-3]-`lambda'[_n-4])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-3]*`nonz'[_n-4]*(`r'-`lambda'[_n-2]-`lambda'[_n-3]-`lambda'[_n-4])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-2]*`nonz'[_n-5]*(`r'-`lambda'[_n-1]-`lambda'[_n-2]-`lambda'[_n-5])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-3]*`nonz'[_n-5]*(`r'-`lambda'[_n-1]-`lambda'[_n-3]-`lambda'[_n-5])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-4]*`nonz'[_n-5]*(`r'-`lambda'[_n-1]-`lambda'[_n-4]-`lambda'[_n-5])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-3]*`nonz'[_n-5]*(`r'-`lambda'[_n-2]-`lambda'[_n-3]-`lambda'[_n-5])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-4]*`nonz'[_n-5]*(`r'-`lambda'[_n-2]-`lambda'[_n-4]-`lambda'[_n-5])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-4]*`nonz'[_n-5]*(`r'-`lambda'[_n-3]-`lambda'[_n-4]-`lambda'[_n-5])^`w1'+ /*
*/ cond(`count'==`T', `nonz'[_n-1]*`nonz'[_n-2]*`nonz'[_n-6]*(`r'-`lambda'[_n-1]-`lambda'[_n-2]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-3]*`nonz'[_n-6]*(`r'-`lambda'[_n-1]-`lambda'[_n-3]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-4]*`nonz'[_n-6]*(`r'-`lambda'[_n-1]-`lambda'[_n-4]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-5]*`nonz'[_n-6]*(`r'-`lambda'[_n-1]-`lambda'[_n-5]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-3]*`nonz'[_n-6]*(`r'-`lambda'[_n-2]-`lambda'[_n-3]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-4]*`nonz'[_n-6]*(`r'-`lambda'[_n-2]-`lambda'[_n-4]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-5]*`nonz'[_n-6]*(`r'-`lambda'[_n-2]-`lambda'[_n-5]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-4]*`nonz'[_n-6]*(`r'-`lambda'[_n-3]-`lambda'[_n-4]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-5]*`nonz'[_n-6]*(`r'-`lambda'[_n-3]-`lambda'[_n-5]-`lambda'[_n-6])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-5]*`nonz'[_n-6]*(`r'-`lambda'[_n-4]-`lambda'[_n-5]-`lambda'[_n-6])^`w1'+`r0001', /*
*/ `nonz'[_n-1]*`nonz'[_n-2]*`nonz'[_n+1]*(`r'-`lambda'[_n-1]-`lambda'[_n-2]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-3]*`nonz'[_n+1]*(`r'-`lambda'[_n-1]-`lambda'[_n-3]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-4]*`nonz'[_n+1]*(`r'-`lambda'[_n-1]-`lambda'[_n-4]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n-5]*`nonz'[_n+1]*(`r'-`lambda'[_n-1]-`lambda'[_n-5]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-3]*`nonz'[_n+1]*(`r'-`lambda'[_n-2]-`lambda'[_n-3]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-4]*`nonz'[_n+1]*(`r'-`lambda'[_n-2]-`lambda'[_n-4]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-5]*`nonz'[_n+1]*(`r'-`lambda'[_n-2]-`lambda'[_n-5]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-4]*`nonz'[_n+1]*(`r'-`lambda'[_n-3]-`lambda'[_n-4]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-5]*`nonz'[_n+1]*(`r'-`lambda'[_n-3]-`lambda'[_n-5]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-5]*`nonz'[_n+1]*(`r'-`lambda'[_n-4]-`lambda'[_n-5]-`lambda'[_n+1])^`w1'+`r0002'), 0) `if'

gen double `r0011' = cond(`T'>7&`count'==`T'-2, `nonz'[_n-5]*`nonz'[_n-4]*`nonz'[_n-3]*(`r'-`lambda'[_n-5]-`lambda'[_n-4]-`lambda'[_n-3])^`w1'+ /*
*/ `nonz'[_n-5]*`nonz'[_n-4]*`nonz'[_n-2]*(`r'-`lambda'[_n-5]-`lambda'[_n-4]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n-5]*`nonz'[_n-4]*`nonz'[_n-1]*(`r'-`lambda'[_n-5]-`lambda'[_n-4]-`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n-5]*`nonz'[_n-4]*`nonz'[_n+1]*(`r'-`lambda'[_n-5]-`lambda'[_n-4]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-5]*`nonz'[_n-4]*`nonz'[_n+2]*(`r'-`lambda'[_n-5]-`lambda'[_n-4]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-5]*`nonz'[_n-3]*`nonz'[_n-2]*(`r'-`lambda'[_n-5]-`lambda'[_n-3]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n-5]*`nonz'[_n-3]*`nonz'[_n-1]*(`r'-`lambda'[_n-5]-`lambda'[_n-3]-`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n-5]*`nonz'[_n-3]*`nonz'[_n+1]*(`r'-`lambda'[_n-5]-`lambda'[_n-3]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-5]*`nonz'[_n-3]*`nonz'[_n+2]*(`r'-`lambda'[_n-5]-`lambda'[_n-3]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-5]*`nonz'[_n-2]*`nonz'[_n-1]*(`r'-`lambda'[_n-5]-`lambda'[_n-2]-`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n-5]*`nonz'[_n-2]*`nonz'[_n+1]*(`r'-`lambda'[_n-5]-`lambda'[_n-2]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-5]*`nonz'[_n-2]*`nonz'[_n+2]*(`r'-`lambda'[_n-5]-`lambda'[_n-2]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-5]*`nonz'[_n-1]*`nonz'[_n+1]*(`r'-`lambda'[_n-5]-`lambda'[_n-1]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-5]*`nonz'[_n-1]*`nonz'[_n+2]*(`r'-`lambda'[_n-5]-`lambda'[_n-1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-5]*`nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n-5]-`lambda'[_n+1]-`lambda'[_n+2])^`w1', 0) `if'

gen double `r0012' = cond(`T'>7&`count'==`T'-3, `nonz'[_n-4]*`nonz'[_n-3]*`nonz'[_n-2]*(`r'-`lambda'[_n-4]-`lambda'[_n-3]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-3]*`nonz'[_n-1]*(`r'-`lambda'[_n-4]-`lambda'[_n-3]-`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-3]*`nonz'[_n+1]*(`r'-`lambda'[_n-4]-`lambda'[_n-3]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-3]*`nonz'[_n+2]*(`r'-`lambda'[_n-4]-`lambda'[_n-3]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-3]*`nonz'[_n+3]*(`r'-`lambda'[_n-4]-`lambda'[_n-3]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-2]*`nonz'[_n-1]*(`r'-`lambda'[_n-4]-`lambda'[_n-2]-`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-2]*`nonz'[_n+1]*(`r'-`lambda'[_n-4]-`lambda'[_n-2]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-2]*`nonz'[_n+2]*(`r'-`lambda'[_n-4]-`lambda'[_n-2]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-2]*`nonz'[_n+3]*(`r'-`lambda'[_n-4]-`lambda'[_n-2]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-1]*`nonz'[_n+1]*(`r'-`lambda'[_n-4]-`lambda'[_n-1]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-1]*`nonz'[_n+2]*(`r'-`lambda'[_n-4]-`lambda'[_n-1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-1]*`nonz'[_n+3]*(`r'-`lambda'[_n-4]-`lambda'[_n-1]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n-4]-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n+1]*`nonz'[_n+3]*(`r'-`lambda'[_n-4]-`lambda'[_n+1]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n+2]*`nonz'[_n+3]*(`r'-`lambda'[_n-4]-`lambda'[_n+2]-`lambda'[_n+3])^`w1', 0) `if'

gen double `r001' = cond(`count'>=`T'-3&`count'<`T'-1, `nonz'[_n-3]*`nonz'[_n-2]*`nonz'[_n-1]*(`r'-`lambda'[_n-3]-`lambda'[_n-2]-`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-2]*`nonz'[_n+1]*(`r'-`lambda'[_n-3]-`lambda'[_n-2]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-1]*`nonz'[_n+1]*(`r'-`lambda'[_n-3]-`lambda'[_n-1]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-1]*`nonz'[_n+1]*(`r'-`lambda'[_n-2]-`lambda'[_n-1]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-2]*`nonz'[_n+2]*(`r'-`lambda'[_n-3]-`lambda'[_n-2]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-1]*`nonz'[_n+2]*(`r'-`lambda'[_n-3]-`lambda'[_n-1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n-3]-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-1]*`nonz'[_n+2]*(`r'-`lambda'[_n-2]-`lambda'[_n-1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n-2]-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n-1]-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+ /*
*/ cond(`count'==`T'-2, `nonz'[_n-4]*`nonz'[_n-3]*`nonz'[_n-2]*(`r'-`lambda'[_n-4]-`lambda'[_n-3]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-3]*`nonz'[_n-1]*(`r'-`lambda'[_n-4]-`lambda'[_n-3]-`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-3]*`nonz'[_n+1]*(`r'-`lambda'[_n-4]-`lambda'[_n-3]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-3]*`nonz'[_n+2]*(`r'-`lambda'[_n-4]-`lambda'[_n-3]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-2]*`nonz'[_n-1]*(`r'-`lambda'[_n-4]-`lambda'[_n-2]-`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-2]*`nonz'[_n+1]*(`r'-`lambda'[_n-4]-`lambda'[_n-2]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-2]*`nonz'[_n+2]*(`r'-`lambda'[_n-4]-`lambda'[_n-2]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-1]*`nonz'[_n+1]*(`r'-`lambda'[_n-4]-`lambda'[_n-1]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n-1]*`nonz'[_n+2]*(`r'-`lambda'[_n-4]-`lambda'[_n-1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-4]*`nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n-4]-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+`r0011', /*
*/ `nonz'[_n+3]*`nonz'[_n-3]*`nonz'[_n-2]*(`r'-`lambda'[_n+3]-`lambda'[_n-3]-`lambda'[_n-2])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n-3]*`nonz'[_n-1]*(`r'-`lambda'[_n+3]-`lambda'[_n-3]-`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n-3]*`nonz'[_n+1]*(`r'-`lambda'[_n+3]-`lambda'[_n-3]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n-3]*`nonz'[_n+2]*(`r'-`lambda'[_n+3]-`lambda'[_n-3]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n-2]*`nonz'[_n-1]*(`r'-`lambda'[_n+3]-`lambda'[_n-2]-`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n-2]*`nonz'[_n+1]*(`r'-`lambda'[_n+3]-`lambda'[_n-2]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n-2]*`nonz'[_n+2]*(`r'-`lambda'[_n+3]-`lambda'[_n-2]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n-1]*`nonz'[_n+1]*(`r'-`lambda'[_n+3]-`lambda'[_n-1]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n-1]*`nonz'[_n+2]*(`r'-`lambda'[_n+3]-`lambda'[_n-1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n+3]-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+`r0012'), 0)  `if'

gen double `r0021' = cond(`T'>7&`count'==`T'-4, `nonz'[_n-3]*`nonz'[_n-2]*`nonz'[_n-1]*(`r'-`lambda'[_n-3]-`lambda'[_n-2]-`lambda'[_n-1])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-2]*`nonz'[_n+1]*(`r'-`lambda'[_n-3]-`lambda'[_n-2]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-2]*`nonz'[_n+2]*(`r'-`lambda'[_n-3]-`lambda'[_n-2]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-2]*`nonz'[_n+3]*(`r'-`lambda'[_n-3]-`lambda'[_n-2]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-2]*`nonz'[_n+4]*(`r'-`lambda'[_n-3]-`lambda'[_n-2]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-1]*`nonz'[_n+1]*(`r'-`lambda'[_n-3]-`lambda'[_n-1]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-1]*`nonz'[_n+2]*(`r'-`lambda'[_n-3]-`lambda'[_n-1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-1]*`nonz'[_n+3]*(`r'-`lambda'[_n-3]-`lambda'[_n-1]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n-1]*`nonz'[_n+4]*(`r'-`lambda'[_n-3]-`lambda'[_n-1]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n-3]-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n+1]*`nonz'[_n+3]*(`r'-`lambda'[_n-3]-`lambda'[_n+1]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n+1]*`nonz'[_n+4]*(`r'-`lambda'[_n-3]-`lambda'[_n+1]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n+2]*`nonz'[_n+3]*(`r'-`lambda'[_n-3]-`lambda'[_n+2]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n+2]*`nonz'[_n+4]*(`r'-`lambda'[_n-3]-`lambda'[_n+2]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n-3]*`nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'[_n-3]-`lambda'[_n+3]-`lambda'[_n+4])^`w1', 0) `if'

gen double `r0022' = cond(`T'>7&`count'==`T'-5, `nonz'[_n-2]*`nonz'[_n-1]*`nonz'[_n+1]*(`r'-`lambda'[_n-2]-`lambda'[_n-1]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-1]*`nonz'[_n+2]*(`r'-`lambda'[_n-2]-`lambda'[_n-1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-1]*`nonz'[_n+3]*(`r'-`lambda'[_n-2]-`lambda'[_n-1]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-1]*`nonz'[_n+4]*(`r'-`lambda'[_n-2]-`lambda'[_n-1]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-1]*`nonz'[_n+5]*(`r'-`lambda'[_n-2]-`lambda'[_n-1]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n-2]-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+1]*`nonz'[_n+3]*(`r'-`lambda'[_n-2]-`lambda'[_n+1]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+1]*`nonz'[_n+4]*(`r'-`lambda'[_n-2]-`lambda'[_n+1]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+1]*`nonz'[_n+5]*(`r'-`lambda'[_n-2]-`lambda'[_n+1]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+2]*`nonz'[_n+3]*(`r'-`lambda'[_n-2]-`lambda'[_n+2]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+2]*`nonz'[_n+4]*(`r'-`lambda'[_n-2]-`lambda'[_n+2]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+2]*`nonz'[_n+5]*(`r'-`lambda'[_n-2]-`lambda'[_n+2]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'[_n-2]-`lambda'[_n+3]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+3]*`nonz'[_n+5]*(`r'-`lambda'[_n-2]-`lambda'[_n+3]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+4]*`nonz'[_n+5]*(`r'-`lambda'[_n-2]-`lambda'[_n+4]-`lambda'[_n+5])^`w1', 0) `if'

gen double `r002' = cond(`count'>=`T'-5&`count'<`T'-3, `nonz'[_n-1]*`nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n-1]-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+1]*`nonz'[_n+3]*(`r'-`lambda'[_n-1]-`lambda'[_n+1]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+2]*`nonz'[_n+3]*(`r'-`lambda'[_n-1]-`lambda'[_n+2]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+2]*`nonz'[_n+3]*(`r'-`lambda'[_n+1]-`lambda'[_n+2]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+1]*`nonz'[_n+4]*(`r'-`lambda'[_n-1]-`lambda'[_n+1]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+2]*`nonz'[_n+4]*(`r'-`lambda'[_n-1]-`lambda'[_n+2]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'[_n-1]-`lambda'[_n+3]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+2]*`nonz'[_n+4]*(`r'-`lambda'[_n+1]-`lambda'[_n+2]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'[_n+1]-`lambda'[_n+3]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'[_n+2]-`lambda'[_n+3]-`lambda'[_n+4])^`w1'+ /*
*/ cond(`count'==`T'-4, `nonz'[_n-2]*`nonz'[_n-1]*`nonz'[_n+1]*(`r'-`lambda'[_n-2]-`lambda'[_n-1]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-1]*`nonz'[_n+2]*(`r'-`lambda'[_n-2]-`lambda'[_n-1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-1]*`nonz'[_n+3]*(`r'-`lambda'[_n-2]-`lambda'[_n-1]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n-1]*`nonz'[_n+4]*(`r'-`lambda'[_n-2]-`lambda'[_n-1]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n-2]-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+1]*`nonz'[_n+3]*(`r'-`lambda'[_n-2]-`lambda'[_n+1]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+1]*`nonz'[_n+4]*(`r'-`lambda'[_n-2]-`lambda'[_n+1]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+2]*`nonz'[_n+3]*(`r'-`lambda'[_n-2]-`lambda'[_n+2]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+2]*`nonz'[_n+4]*(`r'-`lambda'[_n-2]-`lambda'[_n+2]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n-2]*`nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'[_n-2]-`lambda'[_n+3]-`lambda'[_n+4])^`w1'+`r0021', /*
*/ `nonz'[_n+5]*`nonz'[_n-1]*`nonz'[_n+1]*(`r'-`lambda'[_n+5]-`lambda'[_n-1]-`lambda'[_n+1])^`w1'+ /*
*/ `nonz'[_n+5]*`nonz'[_n-1]*`nonz'[_n+2]*(`r'-`lambda'[_n+5]-`lambda'[_n-1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+5]*`nonz'[_n-1]*`nonz'[_n+3]*(`r'-`lambda'[_n+5]-`lambda'[_n-1]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+5]*`nonz'[_n-1]*`nonz'[_n+4]*(`r'-`lambda'[_n+5]-`lambda'[_n-1]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+5]*`nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n+5]-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n+5]*`nonz'[_n+1]*`nonz'[_n+3]*(`r'-`lambda'[_n+5]-`lambda'[_n+1]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+5]*`nonz'[_n+1]*`nonz'[_n+4]*(`r'-`lambda'[_n+5]-`lambda'[_n+1]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+5]*`nonz'[_n+2]*`nonz'[_n+3]*(`r'-`lambda'[_n+5]-`lambda'[_n+2]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+5]*`nonz'[_n+2]*`nonz'[_n+4]*(`r'-`lambda'[_n+5]-`lambda'[_n+2]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+5]*`nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'[_n+5]-`lambda'[_n+3]-`lambda'[_n+4])^`w1'+`r0022'), 0)  `if'

gen double `r0031' = cond(`T'>7&`count'==`T'-6, `nonz'[_n-1]*`nonz'[_n+1]*`nonz'[_n+2]*(`r'-`lambda'[_n-1]-`lambda'[_n+1]-`lambda'[_n+2])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+1]*`nonz'[_n+3]*(`r'-`lambda'[_n-1]-`lambda'[_n+1]-`lambda'[_n+3])^`w1'+ /* 
*/ `nonz'[_n-1]*`nonz'[_n+1]*`nonz'[_n+4]*(`r'-`lambda'[_n-1]-`lambda'[_n+1]-`lambda'[_n+4])^`w1'+ /* 
*/ `nonz'[_n-1]*`nonz'[_n+1]*`nonz'[_n+5]*(`r'-`lambda'[_n-1]-`lambda'[_n+1]-`lambda'[_n+5])^`w1'+ /* 
*/ `nonz'[_n-1]*`nonz'[_n+1]*`nonz'[_n+6]*(`r'-`lambda'[_n-1]-`lambda'[_n+1]-`lambda'[_n+6])^`w1'+ /* 
*/ `nonz'[_n-1]*`nonz'[_n+2]*`nonz'[_n+3]*(`r'-`lambda'[_n-1]-`lambda'[_n+2]-`lambda'[_n+3])^`w1'+ /* 
*/ `nonz'[_n-1]*`nonz'[_n+2]*`nonz'[_n+4]*(`r'-`lambda'[_n-1]-`lambda'[_n+2]-`lambda'[_n+4])^`w1'+ /* 
*/ `nonz'[_n-1]*`nonz'[_n+2]*`nonz'[_n+5]*(`r'-`lambda'[_n-1]-`lambda'[_n+2]-`lambda'[_n+5])^`w1'+ /* 
*/ `nonz'[_n-1]*`nonz'[_n+2]*`nonz'[_n+6]*(`r'-`lambda'[_n-1]-`lambda'[_n+2]-`lambda'[_n+6])^`w1'+ /* 
*/ `nonz'[_n-1]*`nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'[_n-1]-`lambda'[_n+3]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+3]*`nonz'[_n+5]*(`r'-`lambda'[_n-1]-`lambda'[_n+3]-`lambda'[_n+5])^`w1'+ /*  
*/ `nonz'[_n-1]*`nonz'[_n+3]*`nonz'[_n+6]*(`r'-`lambda'[_n-1]-`lambda'[_n+3]-`lambda'[_n+6])^`w1'+ /*  
*/ `nonz'[_n-1]*`nonz'[_n+4]*`nonz'[_n+5]*(`r'-`lambda'[_n-1]-`lambda'[_n+4]-`lambda'[_n+5])^`w1'+ /*  
*/ `nonz'[_n-1]*`nonz'[_n+4]*`nonz'[_n+6]*(`r'-`lambda'[_n-1]-`lambda'[_n+4]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n-1]*`nonz'[_n+5]*`nonz'[_n+6]*(`r'-`lambda'[_n-1]-`lambda'[_n+5]-`lambda'[_n+6])^`w1', 0) `if'

gen double `r003' = cond(`count'==`T'-6, `nonz'[_n+1]*`nonz'[_n+2]*`nonz'[_n+3]*(`r'-`lambda'[_n+1]-`lambda'[_n+2]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+2]*`nonz'[_n+4]*(`r'-`lambda'[_n+1]-`lambda'[_n+2]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'[_n+1]-`lambda'[_n+3]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+2]*`nonz'[_n+5]*(`r'-`lambda'[_n+1]-`lambda'[_n+2]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*`nonz'[_n+5]*(`r'-`lambda'[_n+1]-`lambda'[_n+3]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+4]*`nonz'[_n+5]*(`r'-`lambda'[_n+1]-`lambda'[_n+4]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+2]*`nonz'[_n+6]*(`r'-`lambda'[_n+1]-`lambda'[_n+2]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*`nonz'[_n+6]*(`r'-`lambda'[_n+1]-`lambda'[_n+3]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+4]*`nonz'[_n+6]*(`r'-`lambda'[_n+1]-`lambda'[_n+4]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+5]*`nonz'[_n+6]*(`r'-`lambda'[_n+1]-`lambda'[_n+5]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'[_n+2]-`lambda'[_n+3]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*`nonz'[_n+5]*(`r'-`lambda'[_n+2]-`lambda'[_n+3]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*`nonz'[_n+6]*(`r'-`lambda'[_n+2]-`lambda'[_n+3]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+4]*`nonz'[_n+5]*(`r'-`lambda'[_n+2]-`lambda'[_n+4]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+4]*`nonz'[_n+6]*(`r'-`lambda'[_n+2]-`lambda'[_n+4]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+5]*`nonz'[_n+6]*(`r'-`lambda'[_n+2]-`lambda'[_n+5]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+4]*`nonz'[_n+5]*(`r'-`lambda'[_n+3]-`lambda'[_n+4]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+4]*`nonz'[_n+6]*(`r'-`lambda'[_n+3]-`lambda'[_n+4]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+5]*`nonz'[_n+6]*(`r'-`lambda'[_n+3]-`lambda'[_n+5]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+5]*`nonz'[_n+6]*(`r'-`lambda'[_n+4]-`lambda'[_n+5]-`lambda'[_n+6])^`w1'+`r0031', 0)  `if'

gen double `r004' = cond(`T'>7&`count'==`T'-7, `nonz'[_n+1]*`nonz'[_n+2]*`nonz'[_n+3]*(`r'-`lambda'[_n+1]-`lambda'[_n+2]-`lambda'[_n+3])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+2]*`nonz'[_n+4]*(`r'-`lambda'[_n+1]-`lambda'[_n+2]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'[_n+1]-`lambda'[_n+3]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*`nonz'[_n+4]*(`r'-`lambda'[_n+2]-`lambda'[_n+3]-`lambda'[_n+4])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+2]*`nonz'[_n+5]*(`r'-`lambda'[_n+1]-`lambda'[_n+2]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*`nonz'[_n+5]*(`r'-`lambda'[_n+1]-`lambda'[_n+3]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*`nonz'[_n+5]*(`r'-`lambda'[_n+2]-`lambda'[_n+3]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+4]*`nonz'[_n+5]*(`r'-`lambda'[_n+1]-`lambda'[_n+4]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+4]*`nonz'[_n+5]*(`r'-`lambda'[_n+2]-`lambda'[_n+4]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+4]*`nonz'[_n+5]*(`r'-`lambda'[_n+3]-`lambda'[_n+4]-`lambda'[_n+5])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+2]*`nonz'[_n+6]*(`r'-`lambda'[_n+1]-`lambda'[_n+2]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*`nonz'[_n+6]*(`r'-`lambda'[_n+1]-`lambda'[_n+3]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*`nonz'[_n+6]*(`r'-`lambda'[_n+2]-`lambda'[_n+3]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+4]*`nonz'[_n+6]*(`r'-`lambda'[_n+1]-`lambda'[_n+4]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+4]*`nonz'[_n+6]*(`r'-`lambda'[_n+2]-`lambda'[_n+4]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+4]*`nonz'[_n+6]*(`r'-`lambda'[_n+3]-`lambda'[_n+4]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+5]*`nonz'[_n+6]*(`r'-`lambda'[_n+1]-`lambda'[_n+5]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+5]*`nonz'[_n+6]*(`r'-`lambda'[_n+2]-`lambda'[_n+5]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+5]*`nonz'[_n+6]*(`r'-`lambda'[_n+3]-`lambda'[_n+5]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+5]*`nonz'[_n+6]*(`r'-`lambda'[_n+4]-`lambda'[_n+5]-`lambda'[_n+6])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+2]*`nonz'[_n+7]*(`r'-`lambda'[_n+1]-`lambda'[_n+2]-`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*`nonz'[_n+7]*(`r'-`lambda'[_n+1]-`lambda'[_n+3]-`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+4]*`nonz'[_n+7]*(`r'-`lambda'[_n+1]-`lambda'[_n+4]-`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+5]*`nonz'[_n+7]*(`r'-`lambda'[_n+1]-`lambda'[_n+5]-`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+6]*`nonz'[_n+7]*(`r'-`lambda'[_n+1]-`lambda'[_n+6]-`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*`nonz'[_n+7]*(`r'-`lambda'[_n+2]-`lambda'[_n+3]-`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+4]*`nonz'[_n+7]*(`r'-`lambda'[_n+2]-`lambda'[_n+4]-`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+5]*`nonz'[_n+7]*(`r'-`lambda'[_n+2]-`lambda'[_n+5]-`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+6]*`nonz'[_n+7]*(`r'-`lambda'[_n+2]-`lambda'[_n+6]-`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+4]*`nonz'[_n+7]*(`r'-`lambda'[_n+3]-`lambda'[_n+4]-`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+5]*`nonz'[_n+7]*(`r'-`lambda'[_n+3]-`lambda'[_n+5]-`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+6]*`nonz'[_n+7]*(`r'-`lambda'[_n+3]-`lambda'[_n+6]-`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+5]*`nonz'[_n+7]*(`r'-`lambda'[_n+4]-`lambda'[_n+5]-`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+6]*`nonz'[_n+7]*(`r'-`lambda'[_n+4]-`lambda'[_n+6]-`lambda'[_n+7])^`w1'+ /*
*/ `nonz'[_n+5]*`nonz'[_n+6]*`nonz'[_n+7]*(`r'-`lambda'[_n+5]-`lambda'[_n+6]-`lambda'[_n+7])^`w1', 0) `if'

gen double `r7' = `r000'+`r001'+`r002'+`r003'+`r004' `if'
gen double `d7' = cond(`pd7', `r'^`w1'-`r4'+`r5'-`r7'+`r6'-`r3'+`lambda'^`w1', 0) `if'

*If sm==8 & T==8
gen double `pd8' = (`sm'==8) `if'
gen double `q80' =  cond(`count'>=`T'-2, 0, `nonz'[_n+1]*`nonz'[_n+2]*`nonz'[_n+3]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+3])^`w'+ /*
*/ cond(`count'<=`T'-4, `nonz'[_n+1]*`nonz'[_n+2]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+4])^`w'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+3]+`lambda'[_n+4])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*`nonz'[_n+4]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+3]+`lambda'[_n+4])^`w', 0)+ /*
*/ cond(`count'<=`T'-5, `nonz'[_n+1]*`nonz'[_n+2]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+5])^`w'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+3]+`lambda'[_n+5])^`w'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+4]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+4]+`lambda'[_n+5])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+3]+`lambda'[_n+5])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+4]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+4]+`lambda'[_n+5])^`w'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+4]*`nonz'[_n+5]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+4]+`lambda'[_n+5])^`w', 0)+ /*
*/ cond(`count'<=`T'-6, `nonz'[_n+1]*`nonz'[_n+2]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+6])^`w'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+3]+`lambda'[_n+6])^`w'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+4]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+4]+`lambda'[_n+6])^`w'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+5]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+5]+`lambda'[_n+6])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+3]+`lambda'[_n+6])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+4]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+4]+`lambda'[_n+6])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+5]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+5]+`lambda'[_n+6])^`w'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+4]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+4]+`lambda'[_n+6])^`w'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+5]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+5]+`lambda'[_n+6])^`w'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+5]*`nonz'[_n+6]*(`lambda'+`lambda'[_n+4]+`lambda'[_n+5]+`lambda'[_n+6])^`w', 0)+ /*
*/ cond(`count'<=`T'-7, `nonz'[_n+1]*`nonz'[_n+2]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+3]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+3]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+4]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+4]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+5]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+5]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+1]*`nonz'[_n+6]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+1]+`lambda'[_n+6]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+3]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+3]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+4]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+4]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+5]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+5]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+2]*`nonz'[_n+6]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+2]+`lambda'[_n+6]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+4]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+4]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+5]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+5]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+3]*`nonz'[_n+6]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+3]+`lambda'[_n+6]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+5]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+4]+`lambda'[_n+5]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+4]*`nonz'[_n+6]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+4]+`lambda'[_n+6]+`lambda'[_n+7])^`w'+ /*
*/ `nonz'[_n+5]*`nonz'[_n+6]*`nonz'[_n+7]*(`lambda'+`lambda'[_n+5]+`lambda'[_n+6]+`lambda'[_n+7])^`w', 0)) `if'
bysort id: egen double `q81'=sum(`q80') `if'
gen double `f8' = `r'^`w'-`q31'+`q41'-`q51'+`q81' -`q71'+`q61'-`q2' `if'

gen double `r8001' = cond(`T'==8&`count'>=`T'-1, cond(`count'==`T', (`lambda'+`lambda'[_n-1]+`lambda'[_n-2]+`lambda'[_n-3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n-2]+`lambda'[_n-4])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n-2]+`lambda'[_n-5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n-2]+`lambda'[_n-6])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n-2]+`lambda'[_n-7])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n-3]+`lambda'[_n-4])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n-3]+`lambda'[_n-5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n-3]+`lambda'[_n-6])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n-3]+`lambda'[_n-7])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n-4]+`lambda'[_n-5])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n-4]+`lambda'[_n-6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n-4]+`lambda'[_n-7])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n-5]+`lambda'[_n-6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n-5]+`lambda'[_n-7])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n-6]+`lambda'[_n-7])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-3]+`lambda'[_n-4])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n-3]+`lambda'[_n-5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-3]+`lambda'[_n-6])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n-3]+`lambda'[_n-7])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-4]+`lambda'[_n-5])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n-4]+`lambda'[_n-6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-4]+`lambda'[_n-7])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n-5]+`lambda'[_n-6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-5]+`lambda'[_n-7])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n-6]+`lambda'[_n-7])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n-4]+`lambda'[_n-5])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n-4]+`lambda'[_n-6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n-4]+`lambda'[_n-7])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n-5]+`lambda'[_n-6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n-5]+`lambda'[_n-7])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n-6]+`lambda'[_n-7])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-4]+`lambda'[_n-5]+`lambda'[_n-6])^`w1'+(`lambda'+`lambda'[_n-4]+`lambda'[_n-5]+`lambda'[_n-7])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-4]+`lambda'[_n-6]+`lambda'[_n-7])^`w1'+(`lambda'+`lambda'[_n-5]+`lambda'[_n-6]+`lambda'[_n-7])^`w1', /*
*/ (`lambda'+`lambda'[_n-6]+`lambda'[_n-5]+`lambda'[_n-4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-6]+`lambda'[_n-5]+`lambda'[_n-3])^`w1'+(`lambda'+`lambda'[_n-6]+`lambda'[_n-4]+`lambda'[_n-3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-5]+`lambda'[_n-4]+`lambda'[_n-3])^`w1'+(`lambda'+`lambda'[_n-6]+`lambda'[_n-5]+`lambda'[_n-2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-6]+`lambda'[_n-4]+`lambda'[_n-2])^`w1'+(`lambda'+`lambda'[_n-6]+`lambda'[_n-3]+`lambda'[_n-2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-5]+`lambda'[_n-4]+`lambda'[_n-2])^`w1'+(`lambda'+`lambda'[_n-5]+`lambda'[_n-3]+`lambda'[_n-2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-4]+`lambda'[_n-3]+`lambda'[_n-2])^`w1'+(`lambda'+`lambda'[_n-6]+`lambda'[_n-5]+`lambda'[_n-1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-6]+`lambda'[_n-4]+`lambda'[_n-1])^`w1'+(`lambda'+`lambda'[_n-6]+`lambda'[_n-3]+`lambda'[_n-1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-6]+`lambda'[_n-2]+`lambda'[_n-1])^`w1'+(`lambda'+`lambda'[_n-5]+`lambda'[_n-4]+`lambda'[_n-1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-5]+`lambda'[_n-3]+`lambda'[_n-1])^`w1'+(`lambda'+`lambda'[_n-5]+`lambda'[_n-2]+`lambda'[_n-1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-4]+`lambda'[_n-3]+`lambda'[_n-1])^`w1'+(`lambda'+`lambda'[_n-4]+`lambda'[_n-2]+`lambda'[_n-1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n-2]+`lambda'[_n-1])^`w1'+(`lambda'+`lambda'[_n-6]+`lambda'[_n-5]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-6]+`lambda'[_n-4]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-6]+`lambda'[_n-3]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-6]+`lambda'[_n-2]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-6]+`lambda'[_n-1]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-5]+`lambda'[_n-4]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-5]+`lambda'[_n-3]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-5]+`lambda'[_n-2]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-5]+`lambda'[_n-1]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-4]+`lambda'[_n-3]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-4]+`lambda'[_n-2]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-4]+`lambda'[_n-1]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n-2]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n-1]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n-1]+`lambda'[_n+1])^`w1'), 0) `if'

gen double `r8002' = cond(`T'==8&`count'>=`T'-3&`count'<`T'-1, cond(`count'==`T'-2, (`lambda'+`lambda'[_n-1]+`lambda'[_n-2]+`lambda'[_n-3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n-2]+`lambda'[_n-4])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n-3]+`lambda'[_n-4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-3]+`lambda'[_n-4])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n-2]+`lambda'[_n-5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n-3]+`lambda'[_n-5])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n-4]+`lambda'[_n-5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-3]+`lambda'[_n-5])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n-4]+`lambda'[_n-5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n-4]+`lambda'[_n-5])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n-2]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n-3]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n-4]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n-5]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n-3]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-4]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n-5]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n-4]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n-5]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-4]+`lambda'[_n-5]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n-2]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n-3]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n-4]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n-5]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-3]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n-4]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-5]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n-4]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n-5]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-4]+`lambda'[_n-5]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-4]+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-5]+`lambda'[_n+1]+`lambda'[_n+2])^`w1', /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n-2]+`lambda'[_n-3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n-2]+`lambda'[_n-4])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n-3]+`lambda'[_n-4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-3]+`lambda'[_n-4])^`w1'+(`lambda'+`lambda'[_n-4]+`lambda'[_n-3]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-4]+`lambda'[_n-2]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-4]+`lambda'[_n-1]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n-2]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n-1]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-1]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-4]+`lambda'[_n-3]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-4]+`lambda'[_n-2]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-4]+`lambda'[_n-1]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-4]+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n-2]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n-1]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-1]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-4]+`lambda'[_n-3]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-4]+`lambda'[_n-2]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n-4]+`lambda'[_n-1]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-4]+`lambda'[_n+1]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n-4]+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n-2]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n-1]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n+1]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-1]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n+1]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+1]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+3])^`w1'), 0) `if'

gen double `r8003' = cond(`T'==8&`count'>=`T'-5&`count'<`T'-3, cond(`count'==`T'-4, (`lambda'+`lambda'[_n-3]+`lambda'[_n-2]+`lambda'[_n-1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n-2]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n-1]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-1]+`lambda'[_n+1])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n-2]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n-1]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-1]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n-2]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n-1]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n+1]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n-1]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n+1]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+1]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n-2]+`lambda'[_n+4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n-1]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n+1]+`lambda'[_n+4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-3]+`lambda'[_n+2]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n-3]+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-1]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n+1]+`lambda'[_n+4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n+2]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+1]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+2]+`lambda'[_n+4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n+2]+`lambda'[_n+3]+`lambda'[_n+4])^`w1', /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-1]+`lambda'[_n+1])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n-1]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n-1]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n+1]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+1]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n-1]+`lambda'[_n+4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n+1]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n+2]+`lambda'[_n+4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+1]+`lambda'[_n+4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+2]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n+1]+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+2]+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n-1]+`lambda'[_n+5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n+1]+`lambda'[_n+5])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n+2]+`lambda'[_n+5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-2]+`lambda'[_n+3]+`lambda'[_n+5])^`w1'+(`lambda'+`lambda'[_n-2]+`lambda'[_n+4]+`lambda'[_n+5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+1]+`lambda'[_n+5])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+2]+`lambda'[_n+5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+3]+`lambda'[_n+5])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+4]+`lambda'[_n+5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+5])^`w1'+(`lambda'+`lambda'[_n+1]+`lambda'[_n+3]+`lambda'[_n+5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+4]+`lambda'[_n+5])^`w1'+(`lambda'+`lambda'[_n+2]+`lambda'[_n+3]+`lambda'[_n+5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+2]+`lambda'[_n+4]+`lambda'[_n+5])^`w1'+(`lambda'+`lambda'[_n+3]+`lambda'[_n+4]+`lambda'[_n+5])^`w1'), 0) `if'

gen double `r8004' = cond(`T'==8&`count'>=`T'-7&`count'<`T'-5, cond(`count'==`T'-6, (`lambda'+`lambda'[_n-1]+`lambda'[_n+1]+`lambda'[_n+2])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+1]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+1]+`lambda'[_n+4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+2]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n+1]+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+2]+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+1]+`lambda'[_n+5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+2]+`lambda'[_n+5])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+3]+`lambda'[_n+5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+4]+`lambda'[_n+5])^`w1'+(`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+3]+`lambda'[_n+5])^`w1'+(`lambda'+`lambda'[_n+1]+`lambda'[_n+4]+`lambda'[_n+5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+2]+`lambda'[_n+3]+`lambda'[_n+5])^`w1'+(`lambda'+`lambda'[_n+2]+`lambda'[_n+4]+`lambda'[_n+5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+3]+`lambda'[_n+4]+`lambda'[_n+5])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+1]+`lambda'[_n+6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+2]+`lambda'[_n+6])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+3]+`lambda'[_n+6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n-1]+`lambda'[_n+4]+`lambda'[_n+6])^`w1'+(`lambda'+`lambda'[_n-1]+`lambda'[_n+5]+`lambda'[_n+6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+6])^`w1'+(`lambda'+`lambda'[_n+1]+`lambda'[_n+3]+`lambda'[_n+6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+4]+`lambda'[_n+6])^`w1'+(`lambda'+`lambda'[_n+1]+`lambda'[_n+5]+`lambda'[_n+6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+2]+`lambda'[_n+3]+`lambda'[_n+6])^`w1'+(`lambda'+`lambda'[_n+2]+`lambda'[_n+4]+`lambda'[_n+6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+2]+`lambda'[_n+5]+`lambda'[_n+6])^`w1'+(`lambda'+`lambda'[_n+3]+`lambda'[_n+4]+`lambda'[_n+6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+3]+`lambda'[_n+5]+`lambda'[_n+6])^`w1'+(`lambda'+`lambda'[_n+4]+`lambda'[_n+5]+`lambda'[_n+6])^`w1', /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+3])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+6])^`w1'+(`lambda'+`lambda'[_n+1]+`lambda'[_n+2]+`lambda'[_n+7])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n+1]+`lambda'[_n+3]+`lambda'[_n+5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+3]+`lambda'[_n+6])^`w1'+(`lambda'+`lambda'[_n+1]+`lambda'[_n+3]+`lambda'[_n+7])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+4]+`lambda'[_n+5])^`w1'+(`lambda'+`lambda'[_n+1]+`lambda'[_n+4]+`lambda'[_n+6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+4]+`lambda'[_n+7])^`w1'+(`lambda'+`lambda'[_n+1]+`lambda'[_n+5]+`lambda'[_n+6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+1]+`lambda'[_n+5]+`lambda'[_n+7])^`w1'+(`lambda'+`lambda'[_n+1]+`lambda'[_n+6]+`lambda'[_n+7])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+2]+`lambda'[_n+3]+`lambda'[_n+4])^`w1'+(`lambda'+`lambda'[_n+2]+`lambda'[_n+3]+`lambda'[_n+5])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+2]+`lambda'[_n+3]+`lambda'[_n+6])^`w1'+(`lambda'+`lambda'[_n+2]+`lambda'[_n+3]+`lambda'[_n+7])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+2]+`lambda'[_n+4]+`lambda'[_n+5])^`w1'+(`lambda'+`lambda'[_n+2]+`lambda'[_n+4]+`lambda'[_n+6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+2]+`lambda'[_n+4]+`lambda'[_n+7])^`w1'+(`lambda'+`lambda'[_n+2]+`lambda'[_n+5]+`lambda'[_n+6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+2]+`lambda'[_n+5]+`lambda'[_n+7])^`w1'+(`lambda'+`lambda'[_n+2]+`lambda'[_n+6]+`lambda'[_n+7])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+3]+`lambda'[_n+4]+`lambda'[_n+5])^`w1'+(`lambda'+`lambda'[_n+3]+`lambda'[_n+4]+`lambda'[_n+6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+3]+`lambda'[_n+4]+`lambda'[_n+7])^`w1'+(`lambda'+`lambda'[_n+3]+`lambda'[_n+5]+`lambda'[_n+6])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+3]+`lambda'[_n+5]+`lambda'[_n+7])^`w1'+(`lambda'+`lambda'[_n+3]+`lambda'[_n+6]+`lambda'[_n+7])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+4]+`lambda'[_n+5]+`lambda'[_n+6])^`w1'+(`lambda'+`lambda'[_n+4]+`lambda'[_n+5]+`lambda'[_n+7])^`w1'+ /*
*/ (`lambda'+`lambda'[_n+4]+`lambda'[_n+6]+`lambda'[_n+7])^`w1'+(`lambda'+`lambda'[_n+5]+`lambda'[_n+6]+`lambda'[_n+7])^`w1'), 0) `if'

gen double `r8' = cond(`pd8', `r8001'+`r8002'+`r8003'+`r8004', 0) `if'

gen double `d8' = `r'^`w1'-`r4'+`r5'-`r7'+`r8'-`r6'+`r3'-`lambda'^`w1' `if'


gen double `f' = cond(`pd8', `f8', cond(`pd7', `f7', cond(`pd6', `f6', cond(`pd5', `f5', cond(`pd4', `f4', cond(`pd3', `f3', `f2')))))) `if' 
gen double `d' = cond(`pd8', `d8', cond(`pd7', `d7', cond(`pd6', `d6', cond(`pd5', `d5', cond(`pd4', `d4', cond(`pd3', `d3', `d2')))))) `if' 

replace `varlist' = cond(`nonz'&`sm'>1, instal-`w'*`lambda'*`d'/`f', 0) `if'
}
end
